# -*- coding: UTF-8 -*-
# Copyright 2013-2016 John Red.
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#   http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

from ..utils.Logger import Logger

import xbmc, xbmcgui  # @UnresolvedImport

class SplashScreenPanel(xbmcgui.Window, Logger):
    def __init__(self,context):
        Logger.__init__(self)
        self.context=context
        self.addControl(xbmcgui.ControlImage(0,0,1280,720,self.context.createResourcePath('media','back.png')))
        self.addControl(xbmcgui.ControlImage(340,267,600,186,self.context.createResourcePath('media','logo.png')))
        self.info=xbmcgui.ControlLabel(0,475,1280,25,'',font='font12',alignment=2) #1-right, 2-center
        self.addControl(self.info)
        
    def setInfoText(self, text):
        self.info.setLabel(text)      

    def onAction(self, action):
        pass