# -*- coding: UTF-8 -*-
# Copyright 2013-2014 John Red.
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#   http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

try:
    from Plugins.Extensions.Seasondream.plugins.Plugin import Plugin
except ImportError:
    try:
        from Plugins.Extensions.Seasondream.plugins.Plugin import Plugin
    except ImportError:
        from plugins.Plugin import Plugin


class IPTVChannelMapper(Plugin):

    PROVIDER_ID=1000
    MAP={
'Da Vinci':{'chid':53,'catid':105,'catname':'Познавательные'},\
'DW':{'chid':408,'catid':107,'catname':'Информбюро'},\
'HD Кино':{'chid':4040,'catid':102,'catname':'Кинематограф'},\
'HD Кино 2':{'chid':4020,'catid':102,'catname':'Кинематограф'},\
'MyZen tv HD':{'chid':113,'catid':101,'catname':'Развлекательные'},\
'Nick Jr.':{'chid':252,'catid':106,'catname':'Детские'},\
'TV1000 русское кино':{'chid':157,'catid':102,'catname':'Кинематограф'},\
'Настоящее страшное телевидение':{'chid':175,'catid':102,'catname':'Кинематограф'},\
'24 док':{'chid':50,'catid':105,'catname':'Познавательные'},\
'24_DOC':{'chid':50,'catid':105,'catname':'Познавательные'},\
'24 DOC':{'chid':50,'catid':105,'catname':'Познавательные'},\
'АвтоПлюс':{'chid':66,'catid':105,'catname':'Познавательные'},\
'Канал Disney':{'chid':255,'catid':106,'catname':'Детские'},\
'Настоящее Страшное Телевидение':{'chid':175,'catid':102,'catname':'Кинематограф'},\
'Amedia I':{'chid':388,'catid':102,'catname':'Кинематограф'},\
'Amedia I HD':{'chid':388,'catid':102,'catname':'Кинематограф'},\
'National Geographic Channel':{'chid':58,'catid':105,'catname':'Познавательные'},\
'2×2':{'chid':120,'catid':101,'catname':'Развлекательные'},\
'Amedia 1 HD':{'chid':388,'catid':102,'catname':'Кинематограф'},\
'English Club':{'chid':56,'catid':105,'catname':'Познавательные'},\
'Amedia 1 HD':{'chid':388,'catid':102,'catname':'Кинематограф'},\
'Eurosport 2 HD':{'chid':201,'catid':104,'catname':'Спортивные'},\
'Детский HD':{'chid':257,'catid':106,'catname':'Детские'},\
'Еврокино HD':{'chid':955,'catid':102,'catname':'Кинематограф'},\
'Иллюзион+ HD':{'chid':160,'catid':102,'catname':'Кинематограф'},\
'ТНТ-Comedy TV':{'chid':109,'catid':101,'catname':'Развлекательные'},\
'L!FENEWS HD':{'chid':950,'catid':107,'catname':'Информбюро'},\
'Russia today HD':{'chid':341,'catid':107,'catname':'Информбюро'},\
'Мультимания HD':{'chid':250,'catid':106,'catname':'Детские'},\
'Русский Иллюзион HD':{'chid':172,'catid':102,'catname':'Кинематограф'},\
'5-й канал':{'chid':12,'catid':107,'catname':'Информбюро'},\
'LIFE (ex. LifeNews)':{'chid':950,'catid':107,'catname':'Информбюро'},\
'Боец ТВ':{'chid':209,'catid':104,'catname':'Спортивные'},\
'Детский мир/Телеклуб':{'chid':176,'catid':102,'catname':'Кинематограф'},\
'КХЛ ТВ':{'chid':214,'catid':104,'catname':'Спортивные'},\
'Культура (Россия К)':{'chid':3,'catid':100,'catname':'Родные'},\
'Муз-ТВ':{'chid':390,'catid':108,'catname':'Музыкальные'},\
'Пятый канал':{'chid':25,'catid':100,'catname':'Родные'},\
'Россия 24 (Вести 24)':{'chid':300,'catid':107,'catname':'Информбюро'},\
'Русское кино':{'chid':157,'catid':102,'catname':'Кинематограф'},\
'Совершенно секретно':{'chid':74,'catid':105,'catname':'Познавательные'},\
'ТНТ4 (ТНТ-Comedy, Comedy TV)':{'chid':109,'catid':101,'catname':'Развлекательные'},\


####
'1+1':{'chid':7,'catid':100,'catname':'Родные'},\
'1+1 International':{'chid':364,'catid':100,'catname':'Родные'},\
'112':{'chid':410,'catid':107,'catname':'Информбюро'},\
'2+2':{'chid':105,'catid':101,'catname':'Развлекательные'},\
'24':{'chid':302,'catid':107,'catname':'Информбюро'},\
'24 ДОК':{'chid':50,'catid':105,'catname':'Познавательные'},\
'2x2':{'chid':120,'catid':101,'catname':'Развлекательные'},\
'360 TUNEBOX':{'chid':1401,'catid':108,'catname':'Музыкальные'},\
'365 дней ТВ':{'chid':52,'catid':105,'catname':'Познавательные'},\
'5 канал':{'chid':12,'catid':107,'catname':'Информбюро'},\
'A One Ukraine':{'chid':354,'catid':108,'catname':'Музыкальные'},\
'AMC':{'chid':951,'catid':102,'catname':'Кинематограф'},\
'Amedia 1':{'chid':388,'catid':102,'catname':'Кинематограф'},\
'Amedia 2':{'chid':368,'catid':102,'catname':'Кинематограф'},\
'Amedia Premium HD':{'chid':405,'catid':102,'catname':'Кинематограф'},\
'Animal Planet':{'chid':54,'catid':105,'catname':'Познавательные'},\
'Animal Planet HD':{'chid':82,'catid':105,'catname':'Познавательные'},\
'Armenia 1':{'chid':14,'catid':100,'catname':'Родные'},\
'AzTV':{'chid':15,'catid':100,'catname':'Родные'},\
'BBC WN':{'chid':340,'catid':107,'catname':'Информбюро'},\
'Bloomberg':{'chid':347,'catid':107,'catname':'Информбюро'},\
'Boy & Boy':{'chid':377,'catid':103,'catname':'Взрослые'},\
'Bridge TV':{'chid':393,'catid':108,'catname':'Музыкальные'},\
'Cartoon Network':{'chid':256,'catid':106,'catname':'Детские'},\
'CBS Drama Europe':{'chid':373,'catid':102,'catname':'Кинематограф'},\
'CBS Reality':{'chid':64,'catid':105,'catname':'Познавательные'},\
'CNN Int.':{'chid':348,'catid':107,'catname':'Информбюро'},\
'Da Vinci Learning':{'chid':53,'catid':105,'catname':'Познавательные'},\
'Deutsche Welle':{'chid':408,'catid':107,'catname':'Информбюро'},\
'Discovery Channel':{'chid':76,'catid':105,'catname':'Познавательные'},\
'Discovery Channel Russia HD':{'chid':4030,'catid':105,'catname':'Познавательные'},\
'Discovery Science':{'chid':77,'catid':105,'catname':'Познавательные'},\
'Discovery Showcase HD':{'chid':83,'catid':105,'catname':'Познавательные'},\
'Discovery World':{'chid':55,'catid':105,'catname':'Познавательные'},\
'Disney Channel':{'chid':255,'catid':106,'catname':'Детские'},\
'DOCUBOX HD':{'chid':396,'catid':105,'catname':'Познавательные'},\
'Egoist TV':{'chid':365,'catid':101,'catname':'Развлекательные'},\
'English Club TV':{'chid':56,'catid':105,'catname':'Познавательные'},\
'Euronews':{'chid':301,'catid':107,'catname':'Информбюро'},\
'Europa Plus TV':{'chid':35300,'catid':108,'catname':'Музыкальные'},\
'Eurosport':{'chid':200,'catid':104,'catname':'Спортивные'},\
'Eurosport 2':{'chid':201,'catid':104,'catname':'Спортивные'},\
'Eurosport HD':{'chid':202,'catid':104,'catname':'Спортивные'},\
'Exotica TV':{'chid':376,'catid':103,'catname':'Взрослые'},\
'Extreme Sports':{'chid':956,'catid':104,'catname':'Спортивные'},\
'FAST&FUNBOX HD':{'chid':398,'catid':101,'catname':'Развлекательные'},\
'FIGHTBOX HD':{'chid':397,'catid':104,'catname':'Спортивные'},\
'FILMBOX':{'chid':395,'catid':102,'catname':'Кинематограф'},\
'FILMBOX ARTHOUSE':{'chid':394,'catid':102,'catname':'Кинематограф'},\
'FOX':{'chid':152,'catid':102,'catname':'Кинематограф'},\
'FOX Life':{'chid':153,'catid':102,'catname':'Кинематограф'},\
'France 24':{'chid':349,'catid':107,'catname':'Информбюро'},\
'Gulli':{'chid':392,'catid':106,'catname':'Детские'},\
'HD Kino':{'chid':4040,'catid':102,'catname':'Кинематограф'},\
'HD Kino 2':{'chid':4020,'catid':102,'catname':'Кинематограф'},\
'HD Life':{'chid':110,'catid':101,'catname':'Развлекательные'},\
'HD Sport':{'chid':208,'catid':104,'catname':'Спортивные'},\
'History':{'chid':370,'catid':105,'catname':'Познавательные'},\
'History HD':{'chid':383,'catid':105,'catname':'Познавательные'},\
'Hustler':{'chid':401,'catid':103,'catname':'Взрослые'},\
'Hustler HD':{'chid':402,'catid':103,'catname':'Взрослые'},\
'ICTV':{'chid':9,'catid':100,'catname':'Родные'},\
'ID Investigation Discovery':{'chid':78,'catid':105,'catname':'Познавательные'},\
'JimJam':{'chid':251,'catid':106,'catname':'Детские'},\
'Kazakh TV':{'chid':325,'catid':100,'catname':'Родные'},\
'Lider TV':{'chid':17,'catid':100,'catname':'Родные'},\
'Life News':{'chid':950,'catid':107,'catname':'Информбюро'},\
'Mezzo':{'chid':351,'catid':108,'catname':'Музыкальные'},\
'MGM HD Russia':{'chid':406,'catid':102,'catname':'Кинематограф'},\
'MTV Dance':{'chid':352,'catid':108,'catname':'Музыкальные'},\
'MTV Hits':{'chid':367,'catid':108,'catname':'Музыкальные'},\
'Muz TV':{'chid':390,'catid':108,'catname':'Музыкальные'},\
'myZen.tv HD':{'chid':113,'catid':101,'catname':'Развлекательные'},\
'Nat Geo Wild':{'chid':57,'catid':105,'catname':'Познавательные'},\
'Nat Geo Wild HD':{'chid':22700,'catid':105,'catname':'Познавательные'},\
'National Geographic':{'chid':58,'catid':105,'catname':'Познавательные'},\
'National Geographic HD':{'chid':5900,'catid':105,'catname':'Познавательные'},\
'Nautical Channel':{'chid':407,'catid':104,'catname':'Спортивные'},\
'NEWS ONE':{'chid':807,'catid':107,'catname':'Информбюро'},\
'Nickelodeon':{'chid':253,'catid':106,'catname':'Детские'},\
'Nickelodeon HD':{'chid':254,'catid':106,'catname':'Детские'},\
'NickJr.':{'chid':252,'catid':106,'catname':'Детские'},\
'Nuart TV':{'chid':387,'catid':103,'catname':'Взрослые'},\
'Ocean TV':{'chid':954,'catid':105,'catname':'Познавательные'},\
'Paramount Comedy':{'chid':952,'catid':102,'catname':'Кинематограф'},\
'Pink o TV':{'chid':382,'catid':103,'catname':'Взрослые'},\
'PlatinumTV':{'chid':380,'catid':103,'catname':'Взрослые'},\
'Private TV':{'chid':403,'catid':103,'catname':'Взрослые'},\
'Privee TV':{'chid':379,'catid':103,'catname':'Взрослые'},\
'QTV':{'chid':114,'catid':101,'catname':'Развлекательные'},\
'Redlight HD':{'chid':404,'catid':103,'catname':'Взрослые'},\
'RTVі':{'chid':115,'catid':101,'catname':'Развлекательные'},\
'RU MUSIC':{'chid':353,'catid':108,'catname':'Музыкальные'},\
'Rusong TV':{'chid':391,'catid':108,'catname':'Музыкальные'},\
'Russia Today':{'chid':341,'catid':107,'catname':'Информбюро'},\
'Russian Travel Guide TV':{'chid':358,'catid':105,'catname':'Познавательные'},\
'SCT':{'chid':381,'catid':103,'catname':'Взрослые'},\
'SCT HD':{'chid':323,'catid':103,'catname':'Взрослые'},\
'Sony Sci-Fi':{'chid':150,'catid':102,'catname':'Кинематограф'},\
'STV':{'chid':111,'catid':101,'catname':'Развлекательные'},\
'Test 2':{'chid':332,'catid':106,'catname':'Детские'},\
'Test Discovery Channel':{'chid':331,'catid':105,'catname':'Познавательные'},\
'TiJi':{'chid':330,'catid':106,'catname':'Детские'},\
'TLC':{'chid':79,'catid':105,'catname':'Познавательные'},\
'Travel Channel':{'chid':60,'catid':105,'catname':'Познавательные'},\
'Travel Channel HD':{'chid':61,'catid':105,'catname':'Познавательные'},\
'TV 1000 Action':{'chid':156,'catid':102,'catname':'Кинематограф'},\
'TV 1000 Comedy HD':{'chid':179,'catid':102,'catname':'Кинематограф'},\
'TV 1000 Megahit HD':{'chid':178,'catid':102,'catname':'Кинематограф'},\
'TV 1000 Premium HD':{'chid':177,'catid':102,'catname':'Кинематограф'},\
'TV 1000 Русское Кино':{'chid':157,'catid':102,'catname':'Кинематограф'},\
'TVCI':{'chid':21,'catid':100,'catname':'Родные'},\
'Ukraine Today':{'chid':409,'catid':107,'catname':'Информбюро'},\
'VH1 Classic':{'chid':355,'catid':108,'catname':'Музыкальные'},\
'VH1 Europe':{'chid':375,'catid':108,'catname':'Музыкальные'},\
'Viasat Explorer':{'chid':62,'catid':105,'catname':'Познавательные'},\
'Viasat Golf':{'chid':386,'catid':104,'catname':'Спортивные'},\
'Viasat History':{'chid':63,'catid':105,'catname':'Познавательные'},\
'Viasat Nature':{'chid':80,'catid':105,'catname':'Познавательные'},\
'Viasat Nature HD \ History HD':{'chid':81,'catid':105,'catname':'Познавательные'},\
'Viasat Sport':{'chid':217,'catid':104,'catname':'Спортивные'},\
'World Fashion Channel':{'chid':119,'catid':101,'catname':'Развлекательные'},\
'Zoom':{'chid':344,'catid':101,'catname':'Развлекательные'},\
'Zоопарк':{'chid':65,'catid':105,'catname':'Познавательные'},\
'Авто Плюс':{'chid':66,'catid':105,'catname':'Познавательные'},\
'Баскетбол':{'chid':222,'catid':104,'catname':'Спортивные'},\
'Беларусь 24':{'chid':13,'catid':100,'catname':'Родные'},\
'Бигуди':{'chid':346,'catid':101,'catname':'Развлекательные'},\
'Боец':{'chid':209,'catid':104,'catname':'Спортивные'},\
'Бойцовский клуб':{'chid':226,'catid':104,'catname':'Спортивные'},\
'Винтаж':{'chid':345,'catid':101,'catname':'Развлекательные'},\
'Вопросы и ответы':{'chid':67,'catid':105,'catname':'Познавательные'},\
'Детский':{'chid':257,'catid':106,'catname':'Детские'},\
'Дом Кино':{'chid':159,'catid':102,'catname':'Кинематограф'},\
'Домашние животные':{'chid':68,'catid':105,'catname':'Познавательные'},\
'Домашний':{'chid':389,'catid':101,'catname':'Развлекательные'},\
'Еврокино':{'chid':955,'catid':102,'catname':'Кинематограф'},\
'Звезда':{'chid':26,'catid':100,'catname':'Родные'},\
'Здоровое телевидение':{'chid':69,'catid':105,'catname':'Познавательные'},\
'Иллюзион+':{'chid':160,'catid':102,'catname':'Кинематограф'},\
'Индия ТВ':{'chid':161,'catid':102,'catname':'Кинематограф'},\
'Интер':{'chid':11,'catid':100,'catname':'Родные'},\
'Интер+':{'chid':339,'catid':100,'catname':'Родные'},\
'Интересное ТВ':{'chid':70,'catid':105,'catname':'Познавательные'},\
'История':{'chid':84,'catid':105,'catname':'Познавательные'},\
'Карусель':{'chid':258,'catid':106,'catname':'Детские'},\
'Кино Cоюз':{'chid':163,'catid':102,'catname':'Кинематограф'},\
'Кино Плюс':{'chid':164,'catid':102,'catname':'Кинематограф'},\
'Киноклуб':{'chid':166,'catid':102,'catname':'Кинематограф'},\
'Кинохит':{'chid':167,'catid':102,'catname':'Кинематограф'},\
'Комедия ТВ':{'chid':168,'catid':102,'catname':'Кинематограф'},\
'Кто есть кто':{'chid':71,'catid':105,'catname':'Познавательные'},\
'Кухня ТВ':{'chid':117,'catid':101,'catname':'Развлекательные'},\
'КХЛ':{'chid':214,'catid':104,'catname':'Спортивные'},\
'КХЛ HD':{'chid':413,'catid':104,'catname':'Спортивные'},\
'Мега':{'chid':123,'catid':105,'catname':'Познавательные'},\
'Много ТВ':{'chid':169,'catid':102,'catname':'Кинематограф'},\
'Моя Планета':{'chid':86,'catid':105,'catname':'Познавательные'},\
'Музыка Первого':{'chid':356,'catid':108,'catname':'Музыкальные'},\
'Мультимания':{'chid':250,'catid':106,'catname':'Детские'},\
'Наука 2.0':{'chid':85,'catid':105,'catname':'Познавательные'},\
'Наш Футбол':{'chid':205,'catid':104,'catname':'Спортивные'},\
'Наше Кино':{'chid':170,'catid':102,'catname':'Кинематограф'},\
'Наше Новое Кино':{'chid':171,'catid':102,'catname':'Кинематограф'},\
'Новый канал':{'chid':103,'catid':100,'catname':'Родные'},\
'Ностальгия':{'chid':6,'catid':100,'catname':'Родные'},\
'НСТ':{'chid':175,'catid':102,'catname':'Кинематограф'},\
'НТВ':{'chid':20,'catid':100,'catname':'Родные'},\
'НТВ HD':{'chid':412,'catid':100,'catname':'Родные'},\
'НТВ+ Спорт':{'chid':229,'catid':104,'catname':'Спортивные'},\
'НТВ+ Футбол 1':{'chid':219,'catid':104,'catname':'Спортивные'},\
'НТВ+ Футбол 1 HD':{'chid':224,'catid':104,'catname':'Спортивные'},\
'НТВ+ Футбол 2':{'chid':228,'catid':104,'catname':'Спортивные'},\
'НТВ+ Футбол 2 HD':{'chid':225,'catid':104,'catname':'Спортивные'},\
'НТВ+ Футбол 3':{'chid':230,'catid':104,'catname':'Спортивные'},\
'НТВ+ Футбол 3 HD':{'chid':385,'catid':104,'catname':'Спортивные'},\
'ОТР':{'chid':369,'catid':100,'catname':'Родные'},\
'Охота и Рыбалка':{'chid':210,'catid':104,'catname':'Спортивные'},\
'Первый канал':{'chid':1,'catid':100,'catname':'Родные'},\
'Первый канал HD':{'chid':23,'catid':100,'catname':'Родные'},\
'Первый Национальный':{'chid':8,'catid':100,'catname':'Родные'},\
'Перец':{'chid':108,'catid':101,'catname':'Развлекательные'},\
'Пиксель':{'chid':259,'catid':106,'catname':'Детские'},\
'Плюс Плюс':{'chid':261,'catid':106,'catname':'Детские'},\
'Премьера':{'chid':165,'catid':102,'catname':'Кинематограф'},\
'Психология 21':{'chid':73,'catid':105,'catname':'Познавательные'},\
'Пятница!':{'chid':122,'catid':101,'catname':'Развлекательные'},\
'Пятый Канал':{'chid':25,'catid':100,'catname':'Родные'},\
'РБК':{'chid':304,'catid':107,'catname':'Информбюро'},\
'Рен ТВ':{'chid':102,'catid':101,'catname':'Развлекательные'},\
'Россия':{'chid':2,'catid':100,'catname':'Родные'},\
'Россия 2':{'chid':22,'catid':100,'catname':'Родные'},\
'Россия 24 (Вести)':{'chid':300,'catid':107,'catname':'Информбюро'},\
'Россия HD':{'chid':24,'catid':100,'catname':'Родные'},\
'Россия Культура':{'chid':3,'catid':100,'catname':'Родные'},\
'РТР-Планета':{'chid':4,'catid':100,'catname':'Родные'},\
'Русская ночь':{'chid':400,'catid':103,'catname':'Взрослые'},\
'Русский Иллюзион':{'chid':172,'catid':102,'catname':'Кинематограф'},\
'Русский Экстрим':{'chid':211,'catid':104,'catname':'Спортивные'},\
'Совершенно Секретно':{'chid':74,'catid':105,'catname':'Познавательные'},\
'Спорт':{'chid':216,'catid':104,'catname':'Спортивные'},\
'Спорт 1':{'chid':221,'catid':104,'catname':'Спортивные'},\
'Спорт 1 HD':{'chid':223,'catid':104,'catname':'Спортивные'},\
'СПОРТ ПЛЮС':{'chid':231,'catid':104,'catname':'Спортивные'},\
'Спорт-1':{'chid':203,'catid':104,'catname':'Спортивные'},\
'Спорт-2':{'chid':204,'catid':104,'catname':'Спортивные'},\
'СТБ':{'chid':104,'catid':100,'catname':'Родные'},\
'СТС':{'chid':101,'catid':101,'catname':'Развлекательные'},\
'ТВ3':{'chid':124,'catid':101,'catname':'Развлекательные'},\
'ТВі':{'chid':303,'catid':107,'catname':'Информбюро'},\
'ТДК':{'chid':366,'catid':101,'catname':'Развлекательные'},\
'Телеклуб/Детский мир':{'chid':176,'catid':102,'catname':'Кинематограф'},\
'Теннис':{'chid':213,'catid':104,'catname':'Спортивные'},\
'ТЕТ':{'chid':106,'catid':101,'catname':'Развлекательные'},\
'ТНТ':{'chid':100,'catid':101,'catname':'Развлекательные'},\
'ТНТ Comedy':{'chid':109,'catid':101,'catname':'Развлекательные'},\
'ТРК Украина':{'chid':10,'catid':100,'catname':'Родные'},\
'Трофей':{'chid':363,'catid':104,'catname':'Спортивные'},\
'Улыбка Ребенка':{'chid':260,'catid':106,'catname':'Детские'},\
'Усадьба':{'chid':75,'catid':105,'catname':'Познавательные'},\
'Футбол 1':{'chid':206,'catid':104,'catname':'Спортивные'},\
'Футбол 2':{'chid':207,'catid':104,'catname':'Спортивные'},\
'Шансон ТВ':{'chid':350,'catid':108,'catname':'Музыкальные'},\
'Энтер-фильм':{'chid':174,'catid':102,'catname':'Кинематограф'},\


'24 Док':{'chid':50,'catid':105,'catname':'Хочу все знать'},\
'2x2':{'chid':120,'catid':101,'catname':'Развлекательные'},\
'5 канал':{'chid':25,'catid':100,'catname':'Родные'},\
#NV
#NV
#NV
#NV
'Amedia Premium':{'chid':405,'catid':102,'catname':'Кинематограф'},\
'Amedia Premium HD':{'chid':405,'catid':102,'catname':'Кинематограф'},\
'Amedia1':{'chid':388,'catid':102,'catname':'Кинематограф'},\
'Animal Planet':{'chid':54,'catid':105,'catname':'Хочу все знать'},\
'Animal Planet HD':{'chid':82,'catid':105,'catname':'Хочу все знать'},\
'A-one':{'chid':354,'catid':108,'catname':'Танцуем и поем'},\
#NV
'BBC World News':{'chid':340,'catid':107,'catname':'Информбюро'},\
#NV
'Bridge TV':{'chid':393,'catid':108,'catname':'Танцуем и поем'},\
'Cartoon Network':{'chid':256,'catid':106,'catname':'Мультики'},\
'CBS Drama':{'chid':373,'catid':102,'catname':'Кинематограф'},\
'CDS Reality':{'chid':64,'catid':105,'catname':'Хочу все знать'},\
'Da Vinci learning':{'chid':53,'catid':105,'catname':'Хочу все знать'},\
'Discovery Channel':{'chid':76,'catid':105,'catname':'Хочу все знать'},\
'Discovery Channel HD':{'chid':4030,'catid':105,'catname':'Хочу все знать'},\
'Discovery Science':{'chid':77,'catid':105,'catname':'Хочу все знать'},\
'Discovery Science HD':{'chid':77,'catid':105,'catname':'Хочу все знать'},\
'Discovery World':{'chid':55,'catid':105,'catname':'Хочу все знать'},\
'DW-TV':{'chid':408,'catid':107,'catname':'Информбюро'},\
'English club TV':{'chid':56,'catid':105,'catname':'Хочу все знать'},\
'Euronews':{'chid':301,'catid':107,'catname':'Информбюро'},\
'EUROPA PLUS TV':{'chid':35300,'catid':108,'catname':'Танцуем и поем'},\
'Eurosport':{'chid':200,'catid':104,'catname':'Физкультура'},\
'Eurosport 2':{'chid':201,'catid':104,'catname':'Физкультура'},\
'Eurosport HD':{'chid':202,'catid':104,'catname':'Физкультура'},\
#NV
'Extreme Sports':{'chid':956,'catid':104,'catname':'Физкультура'},\
#NV
#NV
#NV
#NV
'FOX':{'chid':152,'catid':102,'catname':'Кинематограф'},\
'FOX HD':{'chid':152,'catid':102,'catname':'Кинематограф'},\
'Fox Life':{'chid':153,'catid':102,'catname':'Кинематограф'},\
'Fox Life HD':{'chid':153,'catid':102,'catname':'Кинематограф'},\
'France 24':{'chid':349,'catid':107,'catname':'Информбюро'},\
'Gulli':{'chid':392,'catid':106,'catname':'Мультики'},\
'History':{'chid':370,'catid':105,'catname':'Хочу все знать'},\
'History HD':{'chid':383,'catid':105,'catname':'Хочу все знать'},\
'Investigation Discovery':{'chid':78,'catid':105,'catname':'Хочу все знать'},\
'JimJam':{'chid':251,'catid':106,'catname':'Мультики'},\
'Lifenews':{'chid':950,'catid':107,'catname':'Информбюро'},\
#NV
'Mezzo':{'chid':351,'catid':108,'catname':'Танцуем и поем'},\
#NV
'MGM':{'chid':406,'catid':102,'catname':'Кинематограф'},\
#NV
'MTV Dance':{'chid':352,'catid':108,'catname':'Танцуем и поем'},\
'MTV Hits':{'chid':367,'catid':108,'catname':'Танцуем и поем'},\
#NV
#NV
#NV
#NV
#NV
'My Zen TV HD':{'chid':113,'catid':101,'catname':'Развлекательные'},\
'NAT Geo Wild':{'chid':57,'catid':105,'catname':'Хочу все знать'},\
#NV
'National Geographic':{'chid':58,'catid':105,'catname':'Хочу все знать'},\
'National Geographic HD':{'chid':5900,'catid':105,'catname':'Хочу все знать'},\
'Nautical Channel':{'chid':407,'catid':104,'catname':'Физкультура'},\
#NV
'Nick Jr':{'chid':252,'catid':106,'catname':'Мультики'},\
'Nickelodeon':{'chid':253,'catid':106,'catname':'Мультики'},\
'Nickelodeon HD':{'chid':254,'catid':106,'catname':'Мультики'},\
'Ocean TV':{'chid':954,'catid':105,'catname':'Хочу все знать'},\
#NV
#NV
#NV
#NV
'Paramount Comedy':{'chid':952,'catid':102,'catname':'Кинематограф'},\
'Paramount Comedy HD':{'chid':952,'catid':102,'catname':'Кинематограф'},\
#NV
#NV
'RUSONG TV':{'chid':391,'catid':108,'catname':'Танцуем и поем'},\
'Russia Today':{'chid':341,'catid':107,'catname':'Информбюро'},\
#NV
#NV
#NV
#NV
'Sony Sci-Fi':{'chid':150,'catid':102,'catname':'Кинематограф'},\
#NV
'TiJi':{'chid':330,'catid':106,'catname':'Мультики'},\
'TLC':{'chid':79,'catid':105,'catname':'Хочу все знать'},\
'TLC HD':{'chid':79,'catid':105,'catname':'Хочу все знать'},\
'Travel and Adventure HD':{'chid':60,'catid':105,'catname':'Хочу все знать'},\
'Travel+Adventure':{'chid':60,'catid':105,'catname':'Хочу все знать'},\
'TV 1000 Comedy HD':{'chid':179,'catid':102,'catname':'Кинематограф'},\
'TV 1000 Megahit HD':{'chid':178,'catid':102,'catname':'Кинематограф'},\
'TV 1000 Premium HD':{'chid':177,'catid':102,'catname':'Кинематограф'},\
#NV
#NV
'TV1000 Action':{'chid':156,'catid':102,'catname':'Кинематограф'},\
'TV1000 Русское кино':{'chid':157,'catid':102,'catname':'Кинематограф'},\
#NV
'VH1 Classic':{'chid':355,'catid':108,'catname':'Танцуем и поем'},\
'VH1 European':{'chid':375,'catid':108,'catname':'Танцуем и поем'},\
'Viasat Explore':{'chid':62,'catid':105,'catname':'Хочу все знать'},\
'Viasat Golf HD':{'chid':386,'catid':104,'catname':'Физкультура'},\
'Viasat History':{'chid':63,'catid':105,'catname':'Хочу все знать'},\
'Viasat Nature CEE':{'chid':80,'catid':105,'catname':'Хочу все знать'},\
'Viasat Nature/History HD':{'chid':81,'catid':105,'catname':'Хочу все знать'},\
'Viasat Sport':{'chid':217,'catid':104,'catname':'Физкультура'},\
'Viasat Sport HD':{'chid':217,'catid':104,'catname':'Физкультура'},\
#NV
#NV
'Авто плюс':{'chid':66,'catid':105,'catname':'Хочу все знать'},\
'Боец':{'chid':209,'catid':104,'catname':'Физкультура'},\
'Бойцовский клуб':{'chid':226,'catid':104,'catname':'Физкультура'},\
#NV
'Вопросы и Ответы':{'chid':67,'catid':105,'catname':'Хочу все знать'},\
#NV
'Детский':{'chid':257,'catid':106,'catname':'Мультики'},\
#NV
'Домашние животные':{'chid':68,'catid':105,'catname':'Хочу все знать'},\
#NV
#NV
'Еврокино':{'chid':955,'catid':102,'catname':'Кинематограф'},\
#NV
'Звезда':{'chid':26,'catid':100,'catname':'Родные'},\
'Здоровое ТВ':{'chid':69,'catid':105,'catname':'Хочу все знать'},\
'Иллюзион +':{'chid':160,'catid':102,'catname':'Кинематограф'},\
#NV
'История':{'chid':84,'catid':105,'catname':'Хочу все знать'},\
#NV
'Карусель':{'chid':258,'catid':106,'catname':'Мультики'},\
#NV
'Киносоюз':{'chid':163,'catid':102,'catname':'Кинематограф'},\
'Комедия ТВ':{'chid':168,'catid':102,'catname':'Кинематограф'},\
#NV
'Кто есть кто':{'chid':71,'catid':105,'catname':'Хочу все знать'},\
#NV
'КХЛ':{'chid':214,'catid':104,'catname':'Физкультура'},\
'КХЛ HD':{'chid':214,'catid':104,'catname':'Физкультура'},\
#NV
#NV
#NV
#NV
'Моя планета':{'chid':86,'catid':105,'catname':'Хочу все знать'},\
#NV
#NV
'Мультимания':{'chid':250,'catid':106,'catname':'Мультики'},\
#NV
'Наука 2.0':{'chid':85,'catid':105,'catname':'Хочу все знать'},\
'Наш футбол':{'chid':205,'catid':104,'catname':'Физкультура'},\
'Наш футбол HD':{'chid':205,'catid':104,'catname':'Физкультура'},\
'Наше кино':{'chid':170,'catid':102,'catname':'Кинематограф'},\
'Наше новое кино':{'chid':171,'catid':102,'catname':'Кинематограф'},\
'Ностальгия':{'chid':6,'catid':100,'catname':'Родные'},\
'НТВ':{'chid':20,'catid':100,'catname':'Родные'},\
#NV
#NV
#NV
#NV
#NV
'Охота и рыбалка':{'chid':210,'catid':104,'catname':'Физкультура'},\
#NV
'Первый':{'chid':1,'catid':100,'catname':'Родные'},\
'Первый канал HD':{'chid':23,'catid':100,'catname':'Родные'},\
#NV
'Перец':{'chid':108,'catid':101,'catname':'Развлекательные'},\
#NV
'ПСИХОЛОГИЯ21':{'chid':73,'catid':105,'catname':'Хочу все знать'},\
'Пятница':{'chid':122,'catid':101,'catname':'Развлекательные'},\
#NV
#NV
'РБК':{'chid':304,'catid':107,'catname':'Информбюро'},\
'РЕН ТВ':{'chid':102,'catid':101,'catname':'Развлекательные'},\
#NV
'Россия 1':{'chid':2,'catid':100,'catname':'Родные'},\
'Россия 2':{'chid':22,'catid':100,'catname':'Родные'},\
'Россия 24':{'chid':300,'catid':107,'catname':'Информбюро'},\
'Россия HD':{'chid':24,'catid':100,'catname':'Родные'},\
#NV
#NV
'Русский Иллюзион':{'chid':172,'catid':102,'catname':'Кинематограф'},\
#NV
'Русский экстрим':{'chid':211,'catid':104,'catname':'Физкультура'},\
#NV
#NV
#NV
'Спорт':{'chid':216,'catid':104,'catname':'Физкультура'},\
'Спорт':{'chid':216,'catid':104,'catname':'Физкультура'},\
'Спорт 1':{'chid':221,'catid':104,'catname':'Физкультура'},\
'Спорт 1 HD':{'chid':223,'catid':104,'catname':'Физкультура'},\
#NV
#NV
'ТВ-3':{'chid':124,'catid':101,'catname':'Развлекательные'},\
#NV
'ТНТ':{'chid':100,'catid':101,'catname':'Развлекательные'},\
#NV
'Усадьба':{'chid':75,'catid':105,'catname':'Хочу все знать'},\
#NV
#NV
#NV
#NV
#NV
# EDEM
'24 ДОК':{'chid':50,'catid':105,'catname':'Хочу все знать'},\
'Amedia 1':{'chid':388,'catid':102,'catname':'Кинематограф'},\
'Amedia 2':{'chid':368,'catid':102,'catname':'Кинематограф'},\
'Amedia Premium HD':{'chid':405,'catid':102,'catname':'Кинематограф'},\
'Animal Planet':{'chid':54,'catid':105,'catname':'Хочу все знать'},\
#NV
#NV
'Cartoon Network':{'chid':256,'catid':106,'catname':'Мультики'},\
'CBS Drama':{'chid':373,'catid':102,'catname':'Кинематограф'},\
'Discovery Channel':{'chid':76,'catid':105,'catname':'Хочу все знать'},\
'Discovery Science':{'chid':77,'catid':105,'catname':'Хочу все знать'},\
'Discovery World':{'chid':55,'catid':105,'catname':'Хочу все знать'},\
'Disney':{'chid':255,'catid':106,'catname':'Мультики'},\
'Eurosport':{'chid':200,'catid':104,'catname':'Физкультура'},\
'Eurosport 2':{'chid':201,'catid':104,'catname':'Физкультура'},\
'Extreme Sports':{'chid':956,'catid':104,'catname':'Физкультура'},\
'Fox Life':{'chid':153,'catid':102,'catname':'Кинематограф'},\
#NV
#NV
'Investigation Discovery':{'chid':78,'catid':105,'catname':'Хочу все знать'},\
'Jim Jam':{'chid':251,'catid':106,'catname':'Мультики'},\
#NV
#NV
#NV
'MTV Hits':{'chid':367,'catid':108,'catname':'Танцуем и поем'},\
#NV
#NV
'Nat Geo Wild':{'chid':57,'catid':105,'catname':'Хочу все знать'},\
'nat geographic':{'chid':58,'catid':105,'catname':'Хочу все знать'},\
'Nick Jr':{'chid':252,'catid':106,'catname':'Мультики'},\
'Nickelodeon':{'chid':253,'catid':106,'catname':'Мультики'},\
#NV
'Paramount Comedy Russia':{'chid':952,'catid':102,'catname':'Кинематограф'},\
#NV
#NV
'STV':{'chid':111,'catid':101,'catname':'Развлекательные'},\
'Tiji TV':{'chid':330,'catid':106,'catname':'Мультики'},\
#NV
'TV1000 Comedy HD':{'chid':179,'catid':102,'catname':'Кинематограф'},\
'TV1000 Megahit HD':{'chid':178,'catid':102,'catname':'Кинематограф'},\
'TV1000 Premium HD':{'chid':177,'catid':102,'catname':'Кинематограф'},\
'Viasat Nature/History HD':{'chid':81,'catid':105,'catname':'Хочу все знать'},\
#NV
'Авто Плюс':{'chid':66,'catid':105,'catname':'Хочу все знать'},\
'Боец':{'chid':209,'catid':104,'catname':'Физкультура'},\
#NV
#NV
'Дом Кино':{'chid':159,'catid':102,'catname':'Кинематограф'},\
'Домашние Животные':{'chid':68,'catid':105,'catname':'Хочу все знать'},\
'Домашний':{'chid':389,'catid':101,'catname':'Развлекательные'},\
'Еврокино':{'chid':955,'catid':102,'catname':'Кинематограф'},\
#NV
'Иллюзион +':{'chid':160,'catid':102,'catname':'Кинематограф'},\
'Индия ТВ':{'chid':161,'catid':102,'catname':'Кинематограф'},\
'Интересное ТВ':{'chid':70,'catid':105,'catname':'Хочу все знать'},\
'История':{'chid':84,'catid':105,'catname':'Хочу все знать'},\
'Карусель':{'chid':258,'catid':106,'catname':'Мультики'},\
#NV
#NV
#NV
'Кинохит':{'chid':163,'catid':102,'catname':'Кинематограф'},\
'Комеди ТВ':{'chid':168,'catid':102,'catname':'Кинематограф'},\
#NV
'Кухня ТВ':{'chid':117,'catid':101,'catname':'Развлекательные'},\
#NV
'Много ТВ':{'chid':169,'catid':102,'catname':'Кинематограф'},\
#NV
'Моя Планета':{'chid':86,'catid':105,'catname':'Хочу все знать'},\
#NV
#NV
'Наука 2.0':{'chid':85,'catid':105,'catname':'Хочу все знать'},\
'Наш футбол':{'chid':205,'catid':104,'catname':'Физкультура'},\
'Наше Кино':{'chid':170,'catid':102,'catname':'Кинематограф'},\
'Наше новое кино':{'chid':171,'catid':102,'catname':'Кинематограф'},\
'Ностальгия':{'chid':6,'catid':100,'catname':'Родные'},\
#NV
#NV
#NV
#NV
'НТВ-ПЛЮС Спорт':{'chid':229,'catid':104,'catname':'Физкультура'},\
'НТВ-ПЛЮС Футбол':{'chid':219,'catid':104,'catname':'Физкультура'},\
#NV
'Охота и Рыбалка':{'chid':210,'catid':104,'catname':'Физкультура'},\
'Первый HD':{'chid':23,'catid':100,'catname':'Родные'},\
'Первый канал':{'chid':1,'catid':100,'catname':'Родные'},\
'Перец':{'chid':108,'catid':101,'catname':'Развлекательные'},\
'Премьера':{'chid':165,'catid':102,'catname':'Кинематограф'},\
'Пятница':{'chid':122,'catid':101,'catname':'Развлекательные'},\
'Пятый Канал':{'chid':25,'catid':100,'catname':'Родные'},\
'РБК-ТВ':{'chid':304,'catid':107,'catname':'Информбюро'},\
'РЕН ТВ':{'chid':102,'catid':101,'catname':'Развлекательные'},\
'Россия 2':{'chid':22,'catid':100,'catname':'Родные'},\
'Россия HD':{'chid':24,'catid':100,'catname':'Родные'},\
'Россия-24':{'chid':300,'catid':107,'catname':'Информбюро'},\
'Россия-Культура':{'chid':3,'catid':100,'catname':'Родные'},\
'РТР Планета':{'chid':4,'catid':100,'catname':'Родные'},\
'Русская Ночь':{'chid':400,'catid':103,'catname':'Секса нет'},\
'Русский Иллюзион':{'chid':172,'catid':102,'catname':'Кинематограф'},\
'Сов. Секретно':{'chid':74,'catid':105,'catname':'Хочу все знать'},\
'СПОРТ ПЛЮС':{'chid':231,'catid':104,'catname':'Физкультура'},\
'СТС':{'chid':101,'catid':101,'catname':'Развлекательные'},\
#NV
'ТВ3':{'chid':124,'catid':101,'catname':'Развлекательные'},\
#NV
#NV
#NV
#NV
#NV
'ТНТ':{'chid':100,'catid':101,'catname':'Развлекательные'},\

}




    def __init__(self, api):
        Plugin.__init__(self, api)

    def isSeekable(self):
        return False

    def _getPlaylist(self, name):
        # map name to available channel id
        if(name in self.MAP):
            return self.MAP[name]
        for _name in self.MAP.keys():
            if(_name.lower()==name.lower()):
                return self.MAP[_name]
        return {'chid':-1,'catid':-2,'catname':'Остальные'}
        
        
