# -*- coding: UTF-8 -*-
# Copyright 2013-2014 John Red.
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#   http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

try:
    from Plugins.Extensions.Seasondream.plugins.Plugin import Plugin
except ImportError:
    try:
        from Plugins.Extensions.Seasondream.plugins.Plugin import Plugin
    except ImportError:
        from plugins.Plugin import Plugin


class IPTVEPGMapper(Plugin):

    PROVIDER_ID=1001
    MAP={
'MTV Russia':{'chid':908, 'channel_provider':1},\
'Playboy TV':{'chid':172, 'channel_provider':1},\
'AMEDIA HIT HD':{'chid':1016, 'channel_provider':1},\
'AMEDIA HIT SD':{'chid':1016, 'channel_provider':1},\
'AMEDIA PREMIUM SD':{'chid':896, 'channel_provider':1},\
'Brazzers TV':{'chid':143, 'channel_provider':1},\
'Travel+ Adventure HD':{'chid':833, 'channel_provider':1},\
'Travel+ Adventure':{'chid':833, 'channel_provider':1},\
'Zee TV':{'chid':442, 'channel_provider':1},\
'Дождь':{'chid':675, 'channel_provider':1},\
'МИР':{'chid':838, 'channel_provider':1},\
'МИР 24':{'chid':965, 'channel_provider':1},\
'Ю ТВ':{'chid':49, 'channel_provider':1},\
'КИНОСОЮЗ':{'chid':261, 'channel_provider':1},\
'Москва 24':{'chid':123, 'channel_provider':1},\
'Авто 24':{'chid':924, 'channel_provider':1},\
'Paramount Channel':{'chid':935, 'channel_provider':1},\
'Paramount Channel HD':{'chid':935, 'channel_provider':1},\
'SET':{'chid':525, 'channel_provider':1},\
'SET HD':{'chid':783, 'channel_provider':1},\
'RU TV':{'chid':334, 'channel_provider':1},\
'2×2':{'chid':341, 'channel_provider':1},\
'Amedia 1 HD':{'chid':895, 'channel_provider':1},\
'English Club':{'chid':485, 'channel_provider':1},\
'Eurosport 2 HD':{'chid':229, 'channel_provider':1},\
'National Geographic Channel':{'chid':295, 'channel_provider':1},\
'ZeeTV':{'chid':442, 'channel_provider':1},\
'Авто 24 HD':{'chid':924, 'channel_provider':1},\
'Детский HD':{'chid':246, 'channel_provider':1},\
'Еврокино HD':{'chid':487, 'channel_provider':1},\
'Иллюзион+ HD':{'chid':327, 'channel_provider':1},\
'Матч ТВ HD':{'chid':1077, 'channel_provider':1},\
'ТНТ-Comedy TV':{'chid':476, 'channel_provider':1},\
'Русский иллюзион HD':{'chid':177, 'channel_provider':1},\
'MCM Top':{'chid':116, 'channel_provider':1},\
'RU TV':{'chid':334, 'channel_provider':1},\
'Russia today HD':{'chid':851, 'channel_provider':1},\
'Teletravel HD':{'chid':619, 'channel_provider':1},\
'Russian Music Box':{'chid':412, 'channel_provider':1},\
'SET (Sony TV)':{'chid':525, 'channel_provider':1},\
'Ля-Минор':{'chid':297, 'channel_provider':1},\
'ТВ Центр (ТВЦ)':{'chid':11, 'channel_provider':1},\


######################################################################

'#НАШ канал':{'chid':1079, 'channel_provider':1},\
'1+1':{'chid':3, 'channel_provider':1},\
'1+1 (на укр.)':{'chid':346, 'channel_provider':1},\
'1+1 Международный':{'chid':282, 'channel_provider':1},\
'1+1 Международный (на укр.)':{'chid':473, 'channel_provider':1},\
'112 Украина':{'chid':921, 'channel_provider':1},\
'112 Украина (на укр.)':{'chid':922, 'channel_provider':1},\
'112 Украина HD':{'chid':953, 'channel_provider':1},\
'112 Украина HD (на укр.)':{'chid':954, 'channel_provider':1},\
'1HD':{'chid':1014, 'channel_provider':1},\
'2+2':{'chid':23, 'channel_provider':1},\
'2+2 (на укр.)':{'chid':371, 'channel_provider':1},\
'24 (Телеканал новостей 24)':{'chid':298, 'channel_provider':1},\
'24 (Телеканал новостей 24) (на укр.)':{'chid':387, 'channel_provider':1},\
'24Док':{'chid':263, 'channel_provider':1},\
'2х2':{'chid':341, 'channel_provider':1},\
'2х2 (+2)':{'chid':809, 'channel_provider':1},\
'2х2 (+5)':{'chid':734, 'channel_provider':1},\
'34 канал (Днепропетровск)':{'chid':903, 'channel_provider':1},\
'360TuneBox':{'chid':999, 'channel_provider':1},\
'360° Подмосковье':{'chid':653, 'channel_provider':1},\
'365 дней ТВ':{'chid':279, 'channel_provider':1},\
'49 канал (Новосибирск)':{'chid':923, 'channel_provider':1},\
'5 канал':{'chid':106, 'channel_provider':1},\
'5 канал (на укр.)':{'chid':363, 'channel_provider':1},\
'5 канал (Россия)':{'chid':308, 'channel_provider':1},\
'5 канал (Россия) (+2)':{'chid':640, 'channel_provider':1},\
'5 канал (Россия) (+4)':{'chid':641, 'channel_provider':1},\
'5 канал (Россия) (+7)':{'chid':642, 'channel_provider':1},\
'6 ТВ':{'chid':1012, 'channel_provider':1},\
'7 канал (Одесса)':{'chid':933, 'channel_provider':1},\
'8 канал':{'chid':755, 'channel_provider':1},\
'8 канал (Беларусь)':{'chid':698, 'channel_provider':1},\
'8 канал (Европа)':{'chid':1068, 'channel_provider':1},\
'8 канал (Триколор)':{'chid':681, 'channel_provider':1},\
'8 канал (Экспресс АТ)':{'chid':1069, 'channel_provider':1},\
'8 канал (Экспресс АТ) (+7)':{'chid':1070, 'channel_provider':1},\
'9 волна':{'chid':909, 'channel_provider':1},\
'9 канал (Израиль)':{'chid':1021, 'channel_provider':1},\
'A-one':{'chid':316, 'channel_provider':1},\
'A-One Украина':{'chid':772, 'channel_provider':1},\
'A-One Украина (на укр.)':{'chid':927, 'channel_provider':1},\
'AB Moteurs':{'chid':127, 'channel_provider':1},\
'Adult channel':{'chid':114, 'channel_provider':1},\
'Al Jazeera International':{'chid':240, 'channel_provider':1},\
'Amazing life':{'chid':347, 'channel_provider':1},\
'AMC':{'chid':214, 'channel_provider':1},\
'Amedia 1':{'chid':895, 'channel_provider':1},\
'Amedia 2':{'chid':727, 'channel_provider':1},\
'Amedia Hit':{'chid':1016, 'channel_provider':1},\
'Amedia Premium HD':{'chid':896, 'channel_provider':1},\
'Ani':{'chid':1059, 'channel_provider':1},\
'Animal Family HD':{'chid':969, 'channel_provider':1},\
'Animal planet Europe':{'chid':39, 'channel_provider':1},\
'Animal Planet HD':{'chid':715, 'channel_provider':1},\
'Animal planet Россия':{'chid':484, 'channel_provider':1},\
'Animal planet Россия HD':{'chid':939, 'channel_provider':1},\
'Arirang':{'chid':697, 'channel_provider':1},\
'ATR':{'chid':763, 'channel_provider':1},\
'ATR (на укр.)':{'chid':849, 'channel_provider':1},\
'BabyTV':{'chid':528, 'channel_provider':1},\
'BBC Entertainment':{'chid':147, 'channel_provider':1},\
'BBC World News':{'chid':46, 'channel_provider':1},\
'Bloomberg':{'chid':90, 'channel_provider':1},\
'Blue Hustler':{'chid':140, 'channel_provider':1},\
'Blue Hustler (для Украины)':{'chid':665, 'channel_provider':1},\
'Bollywood HD':{'chid':1030, 'channel_provider':1},\
'Boomerang':{'chid':404, 'channel_provider':1},\
'Boutique TV (на укр.)':{'chid':1078, 'channel_provider':1},\
'Brazzers TV Europe':{'chid':143, 'channel_provider':1},\
'Brazzers TV Europe (для России)':{'chid':1071, 'channel_provider':1},\
'Bridge TV':{'chid':409, 'channel_provider':1},\
'Business':{'chid':386, 'channel_provider':1},\
'Business (на укр.)':{'chid':429, 'channel_provider':1},\
'C Music TV':{'chid':582, 'channel_provider':1},\
'Candy':{'chid':1065, 'channel_provider':1},\
'CandyMan':{'chid':1066, 'channel_provider':1},\
'Cartoon network':{'chid':54, 'channel_provider':1},\
'CBS Drama':{'chid':35, 'channel_provider':1},\
'CBS Reality':{'chid':91, 'channel_provider':1},\
'CCTV Русский':{'chid':598, 'channel_provider':1},\
'CCTV4':{'chid':904, 'channel_provider':1},\
'Chasse et peche':{'chid':1004, 'channel_provider':1},\
'Cine+':{'chid':971, 'channel_provider':1},\
'Cine+ (на укр.)':{'chid':972, 'channel_provider':1},\
'Cine+ HD':{'chid':973, 'channel_provider':1},\
'Cine+ HD (на укр.)':{'chid':974, 'channel_provider':1},\
'Cine+ Hit HD':{'chid':975, 'channel_provider':1},\
'Cine+ Hit HD (на укр.)':{'chid':976, 'channel_provider':1},\
'Cine+ Legend':{'chid':979, 'channel_provider':1},\
'Cine+ Legend (на укр.)':{'chid':980, 'channel_provider':1},\
'Cine+ Mix':{'chid':977, 'channel_provider':1},\
'Cine+ Mix (на укр.)':{'chid':978, 'channel_provider':1},\
'Cinema (Космос ТВ)':{'chid':112, 'channel_provider':1},\
'CNBC Europe':{'chid':70, 'channel_provider':1},\
'CNL Америка':{'chid':802, 'channel_provider':1},\
'CNL Европа':{'chid':125, 'channel_provider':1},\
'CNL Сибирь':{'chid':527, 'channel_provider':1},\
'CNL Украина':{'chid':392, 'channel_provider':1},\
'CNN':{'chid':47, 'channel_provider':1},\
'Da Vinci Learning Europe':{'chid':644, 'channel_provider':1},\
'Da Vinci Learning Europe (на укр.)':{'chid':659, 'channel_provider':1},\
'Da Vinci Learning Россия':{'chid':651, 'channel_provider':1},\
'Dange TV':{'chid':862, 'channel_provider':1},\
'Deutsche Welle (Deutsch)':{'chid':1063, 'channel_provider':1},\
'Deutsche Welle (Europe)':{'chid':84, 'channel_provider':1},\
'Discovery HD Showcase':{'chid':599, 'channel_provider':1},\
'Discovery Science':{'chid':41, 'channel_provider':1},\
'Discovery World':{'chid':424, 'channel_provider':1},\
'Discovery Восточная Европа':{'chid':397, 'channel_provider':1},\
'Discovery Россия':{'chid':38, 'channel_provider':1},\
'Discovery Россия HD':{'chid':938, 'channel_provider':1},\
'Discovery Украина':{'chid':678, 'channel_provider':1},\
'DocuBox HD':{'chid':993, 'channel_provider':1},\
'DTX':{'chid':1061, 'channel_provider':1},\
'ducktv':{'chid':656, 'channel_provider':1},\
'ducktv HD':{'chid':657, 'channel_provider':1},\
'English Club TV':{'chid':485, 'channel_provider':1},\
'English Club TV HD':{'chid':929, 'channel_provider':1},\
'Enter-фильм':{'chid':92, 'channel_provider':1},\
'Enter-фильм (на укр.)':{'chid':372, 'channel_provider':1},\
'EU.Music':{'chid':388, 'channel_provider':1},\
'EU.Music (на укр.)':{'chid':469, 'channel_provider':1},\
'EU.Music HD':{'chid':1034, 'channel_provider':1},\
'EU.Music HD (на укр.)':{'chid':1035, 'channel_provider':1},\
'Eureka HD':{'chid':970, 'channel_provider':1},\
'Euronews':{'chid':37, 'channel_provider':1},\
'Europa Plus TV':{'chid':682, 'channel_provider':1},\
'Eurosport':{'chid':36, 'channel_provider':1},\
'Eurosport 2':{'chid':229, 'channel_provider':1},\
'Eurosport 2 North-East':{'chid':800, 'channel_provider':1},\
'Eurosport 2 North-East HD':{'chid':825, 'channel_provider':1},\
'Eurosport HD':{'chid':535, 'channel_provider':1},\
'EWTN Украина (на укр.)':{'chid':844, 'channel_provider':1},\
'Extreme sports':{'chid':99, 'channel_provider':1},\
'Fashion One':{'chid':679, 'channel_provider':1},\
'Fashion One HD':{'chid':680, 'channel_provider':1},\
'Fashion TV Europe':{'chid':342, 'channel_provider':1},\
'Fashion TV Россия':{'chid':86, 'channel_provider':1},\
'FashionBox HD':{'chid':996, 'channel_provider':1},\
'Fast&FunBox HD':{'chid':994, 'channel_provider':1},\
'FightBox HD':{'chid':995, 'channel_provider':1},\
'Film.Ua Drama':{'chid':1073, 'channel_provider':1},\
'Film.Ua Drama (на укр.)':{'chid':1074, 'channel_provider':1},\
'FilmBox ArtHouse':{'chid':997, 'channel_provider':1},\
'FilmBox Russia':{'chid':998, 'channel_provider':1},\
'Fine Living':{'chid':406, 'channel_provider':1},\
'Food Network Россия':{'chid':1005, 'channel_provider':1},\
'Fox Life HD':{'chid':750, 'channel_provider':1},\
'Fox Life Россия':{'chid':432, 'channel_provider':1},\
'FOX Россия':{'chid':413, 'channel_provider':1},\
'FOX Россия HD':{'chid':775, 'channel_provider':1},\
'France 24 English':{'chid':486, 'channel_provider':1},\
'France 24 Francais':{'chid':811, 'channel_provider':1},\
'FTV HD':{'chid':510, 'channel_provider':1},\
'Galaxy-TV':{'chid':583, 'channel_provider':1},\
'Ginger HD':{'chid':1055, 'channel_provider':1},\
'Gulli Россия':{'chid':596, 'channel_provider':1},\
'HD Кино':{'chid':590, 'channel_provider':1},\
'HD Кино 2':{'chid':776, 'channel_provider':1},\
'HD Спорт':{'chid':591, 'channel_provider':1},\
'HD-Life':{'chid':459, 'channel_provider':1},\
'HDFASHION':{'chid':914, 'channel_provider':1},\
'History Россия':{'chid':902, 'channel_provider':1},\
'History Россия HD':{'chid':905, 'channel_provider':1},\
'Hustler HD':{'chid':894, 'channel_provider':1},\
'Hustler TV Europe':{'chid':120, 'channel_provider':1},\
'Hustler TV Europe (для Украины)':{'chid':666, 'channel_provider':1},\
'iConcerts':{'chid':797, 'channel_provider':1},\
'ICTV':{'chid':5, 'channel_provider':1},\
'ICTV (на укр.)':{'chid':358, 'channel_provider':1},\
'ID Xtra (Европа)':{'chid':1000, 'channel_provider':1},\
'ID Xtra (Россия)':{'chid':943, 'channel_provider':1},\
'Investigation Discovery':{'chid':635, 'channel_provider':1},\
'IQ HD':{'chid':944, 'channel_provider':1},\
'Iton TV':{'chid':1064, 'channel_provider':1},\
'JimJam':{'chid':454, 'channel_provider':1},\
'JuCe TV':{'chid':915, 'channel_provider':1},\
'KZN (Казань)':{'chid':1023, 'channel_provider':1},\
'Lale':{'chid':911, 'channel_provider':1},\
'Lale (на укр.)':{'chid':912, 'channel_provider':1},\
'Luxe.TV':{'chid':475, 'channel_provider':1},\
'Luxe.TV HD':{'chid':536, 'channel_provider':1},\
'Luxury World':{'chid':946, 'channel_provider':1},\
'M television':{'chid':992, 'channel_provider':1},\
'Maxxi-TV':{'chid':356, 'channel_provider':1},\
'Maxxi-TV (на укр.)':{'chid':425, 'channel_provider':1},\
'MCM Top':{'chid':116, 'channel_provider':1},\
'Mezzo':{'chid':85, 'channel_provider':1},\
'Mezzo Live HD':{'chid':672, 'channel_provider':1},\
'MGM HD':{'chid':780, 'channel_provider':1},\
'Mix TV':{'chid':955, 'channel_provider':1},\
'Motors':{'chid':117, 'channel_provider':1},\
'MTV Dance International':{'chid':224, 'channel_provider':1},\
'MTV European':{'chid':218, 'channel_provider':1},\
'MTV Hits International':{'chid':221, 'channel_provider':1},\
'MTV Live HD':{'chid':488, 'channel_provider':1},\
'MTV Rocks International':{'chid':222, 'channel_provider':1},\
'MTV Россия':{'chid':908, 'channel_provider':1},\
'MUSICBOX':{'chid':411, 'channel_provider':1},\
'MusicBox UA':{'chid':417, 'channel_provider':1},\
'MusicBox UA (на укр.)':{'chid':470, 'channel_provider':1},\
'myZen.tv':{'chid':534, 'channel_provider':1},\
'myZen.tv HD':{'chid':580, 'channel_provider':1},\
'NANO TV':{'chid':741, 'channel_provider':1},\
'Nat Geo Wild Europe':{'chid':344, 'channel_provider':1},\
'Nat Geo Wild HD':{'chid':671, 'channel_provider':1},\
'Nat Geo Wild Россия':{'chid':766, 'channel_provider':1},\
'National Geographic HD':{'chid':594, 'channel_provider':1},\
'National Geographic Россия':{'chid':295, 'channel_provider':1},\
'Nautical Channel Россия':{'chid':934, 'channel_provider':1},\
'NewsOne':{'chid':416, 'channel_provider':1},\
'NewsOne (на укр.)':{'chid':471, 'channel_provider':1},\
'NHK World':{'chid':789, 'channel_provider':1},\
'Nick Jr':{'chid':728, 'channel_provider':1},\
'Nickelodeon HD':{'chid':739, 'channel_provider':1},\
'Nickelodeon Россия':{'chid':45, 'channel_provider':1},\
'Nickelodeon СНГ':{'chid':643, 'channel_provider':1},\
'Ocean TV':{'chid':414, 'channel_provider':1},\
'Odessa Int':{'chid':1067, 'channel_provider':1},\
'OE':{'chid':982, 'channel_provider':1},\
'Olala':{'chid':1013, 'channel_provider':1},\
'OTV':{'chid':64, 'channel_provider':1},\
'OTV (на укр.)':{'chid':374, 'channel_provider':1},\
'Outdoor channel':{'chid':732, 'channel_provider':1},\
'Outdoor channel HD':{'chid':801, 'channel_provider':1},\
'Paramount channel Россия':{'chid':935, 'channel_provider':1},\
'Paramount Comedy Россия':{'chid':770, 'channel_provider':1},\
'Peopleair.tv / BizTV':{'chid':515, 'channel_provider':1},\
'Peopleair.tv / BizTV (на укр.)':{'chid':516, 'channel_provider':1},\
'Playboy TV UK':{'chid':172, 'channel_provider':1},\
'Playboy TV UK (для Украины)':{'chid':663, 'channel_provider':1},\
'Private TV':{'chid':696, 'channel_provider':1},\
'PRO Business':{'chid':492, 'channel_provider':1},\
'Pro Все':{'chid':402, 'channel_provider':1},\
'Pro Все (на укр.)':{'chid':431, 'channel_provider':1},\
'QTV':{'chid':460, 'channel_provider':1},\
'QTV (на укр.)':{'chid':461, 'channel_provider':1},\
'R1':{'chid':405, 'channel_provider':1},\
'RT Д (English)':{'chid':788, 'channel_provider':1},\
'RT Д (Русский)':{'chid':961, 'channel_provider':1},\
'RTG':{'chid':605, 'channel_provider':1},\
'RTG HD':{'chid':900, 'channel_provider':1},\
'RTi':{'chid':1036, 'channel_provider':1},\
'RTi (на укр.)':{'chid':1037, 'channel_provider':1},\
'RTVI':{'chid':22, 'channel_provider':1},\
'RU.TV':{'chid':334, 'channel_provider':1},\
'Rusong TV':{'chid':668, 'channel_provider':1},\
'Russia Today':{'chid':301, 'channel_provider':1},\
'Russia Today HD':{'chid':851, 'channel_provider':1},\
'Russia Today Россия':{'chid':864, 'channel_provider':1},\
'RUSSIAN MUSICBOX':{'chid':412, 'channel_provider':1},\
'SET Россия':{'chid':525, 'channel_provider':1},\
'SET Россия HD':{'chid':783, 'channel_provider':1},\
'Setanta Sports':{'chid':771, 'channel_provider':1},\
'Setanta Sports +':{'chid':984, 'channel_provider':1},\
'Shant TV':{'chid':1033, 'channel_provider':1},\
'Shop24':{'chid':863, 'channel_provider':1},\
'Shopping Live':{'chid':752, 'channel_provider':1},\
'Shopping TV':{'chid':810, 'channel_provider':1},\
'Sony Sci-Fi Россия':{'chid':403, 'channel_provider':1},\
'Sony Turbo':{'chid':805, 'channel_provider':1},\
'Spice':{'chid':307, 'channel_provider':1},\
'STV':{'chid':384, 'channel_provider':1},\
'Style':{'chid':178, 'channel_provider':1},\
'Teletravel HD':{'chid':619, 'channel_provider':1},\
'TiJi Россия':{'chid':597, 'channel_provider':1},\
'TLC Pan Regional':{'chid':777, 'channel_provider':1},\
'TLC Россия':{'chid':691, 'channel_provider':1},\
'TLC Россия HD':{'chid':901, 'channel_provider':1},\
'TLC Украина':{'chid':898, 'channel_provider':1},\
'TMTV':{'chid':897, 'channel_provider':1},\
'Topsong TV':{'chid':1003, 'channel_provider':1},\
'Trace Sport Stars':{'chid':1076, 'channel_provider':1},\
'Trace Sport Stars HD':{'chid':798, 'channel_provider':1},\
'Trace Urban':{'chid':230, 'channel_provider':1},\
'Trace Urban HD':{'chid':1075, 'channel_provider':1},\
'Travel channel':{'chid':88, 'channel_provider':1},\
'Travel channel HD':{'chid':690, 'channel_provider':1},\
'Travel+Adventure':{'chid':832, 'channel_provider':1},\
'Travel+Adventure HD':{'chid':833, 'channel_provider':1},\
'TV1000 Action East':{'chid':458, 'channel_provider':1},\
'TV1000 Comedy':{'chid':817, 'channel_provider':1},\
'TV1000 Comedy HD':{'chid':818, 'channel_provider':1},\
'TV1000 East':{'chid':107, 'channel_provider':1},\
'TV1000 Megahit':{'chid':815, 'channel_provider':1},\
'TV1000 Megahit HD':{'chid':816, 'channel_provider':1},\
'TV1000 Premium':{'chid':813, 'channel_provider':1},\
'TV1000 Premium HD':{'chid':814, 'channel_provider':1},\
'TV1000 Русское кино':{'chid':255, 'channel_provider':1},\
'TV1000 Русское кино (Международный)':{'chid':1020, 'channel_provider':1},\
'TV5 Monde Europe':{'chid':74, 'channel_provider':1},\
'TV5 Латвия':{'chid':434, 'channel_provider':1},\
'TVM Channel':{'chid':1028, 'channel_provider':1},\
'TVRus':{'chid':799, 'channel_provider':1},\
'UA:Перший':{'chid':1, 'channel_provider':1},\
'UA:Перший (на укр.)':{'chid':345, 'channel_provider':1},\
'UA:Перший / ТРК "Эра"':{'chid':540, 'channel_provider':1},\
'UA:Перший / ТРК "Эра" (на укр.)':{'chid':592, 'channel_provider':1},\
'UA:Перший Digital':{'chid':890, 'channel_provider':1},\
'UA:Перший Digital (на укр.)':{'chid':891, 'channel_provider':1},\
'UA:Перший Ukraine':{'chid':827, 'channel_provider':1},\
'UA:Перший Ukraine (на укр.)':{'chid':828, 'channel_provider':1},\
'UATV':{'chid':689, 'channel_provider':1},\
'UATV (на укр.)':{'chid':165, 'channel_provider':1},\
'Ukraine Today':{'chid':1015, 'channel_provider':1},\
'UTV':{'chid':958, 'channel_provider':1},\
'UTV (Салават)':{'chid':1043, 'channel_provider':1},\
'UTV (Стерлитамак)':{'chid':1042, 'channel_provider':1},\
'UTV HD':{'chid':1032, 'channel_provider':1},\
'VH1 Classic Europe':{'chid':227, 'channel_provider':1},\
'VH1 Europe':{'chid':50, 'channel_provider':1},\
'Viasat Explore CEE':{'chid':778, 'channel_provider':1},\
'Viasat Explore CEE / Spice':{'chid':579, 'channel_provider':1},\
'Viasat Explore Россия':{'chid':152, 'channel_provider':1},\
'Viasat Golf':{'chid':906, 'channel_provider':1},\
'Viasat Golf HD':{'chid':916, 'channel_provider':1},\
'Viasat History':{'chid':175, 'channel_provider':1},\
'Viasat Nature CEE':{'chid':652, 'channel_provider':1},\
'Viasat Nature/History HD':{'chid':716, 'channel_provider':1},\
'Viasat Sport Baltics':{'chid':504, 'channel_provider':1},\
'Viasat Sport Россия':{'chid':332, 'channel_provider':1},\
'Viasat Sport Россия HD':{'chid':907, 'channel_provider':1},\
'Vintage TV Россия':{'chid':1029, 'channel_provider':1},\
'WBC':{'chid':1040, 'channel_provider':1},\
'World Fashion Channel':{'chid':326, 'channel_provider':1},\
'World Fashion Channel Россия':{'chid':313, 'channel_provider':1},\
'XXL':{'chid':133, 'channel_provider':1},\
'XXL (для Украины)':{'chid':664, 'channel_provider':1},\
'ZeeTV Россия':{'chid':442, 'channel_provider':1},\
'ZIK (на укр.)':{'chid':684, 'channel_provider':1},\
'Zoom':{'chid':353, 'channel_provider':1},\
'Zoom (на укр.)':{'chid':428, 'channel_provider':1},\
'ZooПарк':{'chid':331, 'channel_provider':1},\
'Авто Плюс':{'chid':311, 'channel_provider':1},\
'Авто24':{'chid':924, 'channel_provider':1},\
'Агро-ТВ':{'chid':721, 'channel_provider':1},\
'Астрахань 24':{'chid':940, 'channel_provider':1},\
'Бабай ТБ':{'chid':611, 'channel_provider':1},\
'Бабай ТБ (на укр.)':{'chid':612, 'channel_provider':1},\
'Беларусь 1':{'chid':118, 'channel_provider':1},\
'Беларусь 2':{'chid':148, 'channel_provider':1},\
'Беларусь 24':{'chid':231, 'channel_provider':1},\
'Беларусь 3':{'chid':883, 'channel_provider':1},\
'Беларусь 5':{'chid':932, 'channel_provider':1},\
'БелМузТВ':{'chid':706, 'channel_provider':1},\
'БИ Плюс':{'chid':870, 'channel_provider':1},\
'Бигуди':{'chid':481, 'channel_provider':1},\
'Бигуди (на укр.)':{'chid':840, 'channel_provider':1},\
'Бобер':{'chid':1058, 'channel_provider':1},\
'Боец':{'chid':310, 'channel_provider':1},\
'Бойцовский клуб':{'chid':744, 'channel_provider':1},\
'Бокс ТВ':{'chid':1062, 'channel_provider':1},\
'БСТ':{'chid':272, 'channel_provider':1},\
'Винтаж':{'chid':1056, 'channel_provider':1},\
'Винтаж (на укр.)':{'chid':1057, 'channel_provider':1},\
'Винтера (на укр.)':{'chid':1008, 'channel_provider':1},\
'ВИТА (на укр.)':{'chid':1009, 'channel_provider':1},\
'Вместе-РФ':{'chid':967, 'channel_provider':1},\
'Вопросы и ответы':{'chid':603, 'channel_provider':1},\
'Время':{'chid':303, 'channel_provider':1},\
'Вся Уфа':{'chid':957, 'channel_provider':1},\
'ВТВ':{'chid':139, 'channel_provider':1},\
'Гамма':{'chid':479, 'channel_provider':1},\
'Гамма (на укр.)':{'chid':480, 'channel_provider':1},\
'Глас':{'chid':294, 'channel_provider':1},\
'Глас (на укр.)':{'chid':465, 'channel_provider':1},\
'Глас (Одесса) (на укр.)':{'chid':457, 'channel_provider':1},\
'Громадське':{'chid':1049, 'channel_provider':1},\
'Громадське (на укр.)':{'chid':1048, 'channel_provider':1},\
'Гумор ТБ':{'chid':505, 'channel_provider':1},\
'Гумор ТБ (на укр.)':{'chid':506, 'channel_provider':1},\
'Гумор ТБ / Бабай ТБ':{'chid':613, 'channel_provider':1},\
'Гумор ТБ / Бабай ТБ (на укр.)':{'chid':614, 'channel_provider':1},\
'Дача':{'chid':1080, 'channel_provider':1},\
'Детский':{'chid':246, 'channel_provider':1},\
'Детский мир':{'chid':31, 'channel_provider':1},\
'Детский мир / Телеклуб':{'chid':578, 'channel_provider':1},\
'Диван ТВ':{'chid':868, 'channel_provider':1},\
'Диван ТВ HD':{'chid':925, 'channel_provider':1},\
'Днепропетровский Державный':{'chid':380, 'channel_provider':1},\
'Доверие':{'chid':733, 'channel_provider':1},\
'Дождь. Optimistic channel':{'chid':675, 'channel_provider':1},\
'Дождь. Optimistic channel HD':{'chid':856, 'channel_provider':1},\
'Дом кино':{'chid':302, 'channel_provider':1},\
'Дом кино International':{'chid':1038, 'channel_provider':1},\
'Дом кино Премиум':{'chid':1045, 'channel_provider':1},\
'Домашние животные':{'chid':601, 'channel_provider':1},\
'Домашний':{'chid':124, 'channel_provider':1},\
'Домашний (+2)':{'chid':561, 'channel_provider':1},\
'Домашний (+4)':{'chid':562, 'channel_provider':1},\
'Домашний (+7)':{'chid':563, 'channel_provider':1},\
'Домашний магазин':{'chid':695, 'channel_provider':1},\
'Донбасс':{'chid':617, 'channel_provider':1},\
'Драйв':{'chid':241, 'channel_provider':1},\
'Еврокино':{'chid':487, 'channel_provider':1},\
'ЕГЭ':{'chid':1017, 'channel_provider':1},\
'Еда':{'chid':794, 'channel_provider':1},\
'Еда HD':{'chid':795, 'channel_provider':1},\
'Еспресо TV':{'chid':936, 'channel_provider':1},\
'Еспресо TV (на укр.)':{'chid':937, 'channel_provider':1},\
'Жест (Космос ТВ)':{'chid':743, 'channel_provider':1},\
'Живая планета':{'chid':1026, 'channel_provider':1},\
'Живи':{'chid':511, 'channel_provider':1},\
'Живи HD':{'chid':1007, 'channel_provider':1},\
'Загородная жизнь':{'chid':647, 'channel_provider':1},\
'Загородный':{'chid':662, 'channel_provider':1},\
'Звезда':{'chid':232, 'channel_provider':1},\
'Звезда (+2)':{'chid':566, 'channel_provider':1},\
'Звезда (+3)':{'chid':567, 'channel_provider':1},\
'Звезда (+7)':{'chid':568, 'channel_provider':1},\
'Здоровое ТВ':{'chid':242, 'channel_provider':1},\
'Зоо ТВ':{'chid':451, 'channel_provider':1},\
'Иллюзион+':{'chid':327, 'channel_provider':1},\
'Инва Медиа ТВ':{'chid':865, 'channel_provider':1},\
'Индиго':{'chid':1002, 'channel_provider':1},\
'Индиго (на укр.)':{'chid':1006, 'channel_provider':1},\
'Индия ТВ':{'chid':293, 'channel_provider':1},\
'Интер':{'chid':4, 'channel_provider':1},\
'Интер (на укр.)':{'chid':357, 'channel_provider':1},\
'Интер+':{'chid':69, 'channel_provider':1},\
'Интер+ (на укр.)':{'chid':430, 'channel_provider':1},\
'Информационный Канал Севастополя':{'chid':893, 'channel_provider':1},\
'Искушение':{'chid':754, 'channel_provider':1},\
'Искушение (+3)':{'chid':1053, 'channel_provider':1},\
'Искушение HD':{'chid':855, 'channel_provider':1},\
'История':{'chid':879, 'channel_provider':1},\
'К Муз':{'chid':1001, 'channel_provider':1},\
'К1':{'chid':19, 'channel_provider':1},\
'К1 (на укр.)':{'chid':369, 'channel_provider':1},\
'К2':{'chid':20, 'channel_provider':1},\
'К2 (на укр.)':{'chid':370, 'channel_provider':1},\
'Канал Disney':{'chid':89, 'channel_provider':1},\
'Канал Disney (+2)':{'chid':645, 'channel_provider':1},\
'Канал Disney (+7)':{'chid':646, 'channel_provider':1},\
'Карусель':{'chid':687, 'channel_provider':1},\
'Карусель (+3)':{'chid':730, 'channel_provider':1},\
'Карусель (+7)':{'chid':731, 'channel_provider':1},\
'Карусель International':{'chid':688, 'channel_provider':1},\
'Киев':{'chid':75, 'channel_provider':1},\
'Киев (на укр.)':{'chid':375, 'channel_provider':1},\
'Кино Плюс':{'chid':608, 'channel_provider':1},\
'Кинопоказ':{'chid':447, 'channel_provider':1},\
'Кинопоказ (+3)':{'chid':574, 'channel_provider':1},\
'Кинопоказ HD1':{'chid':620, 'channel_provider':1},\
'Кинопоказ HD2':{'chid':621, 'channel_provider':1},\
'КиноПремиум HD':{'chid':947, 'channel_provider':1},\
'Киносоюз':{'chid':261, 'channel_provider':1},\
'КиноТВ':{'chid':852, 'channel_provider':1},\
'Комедия (ВГТРК)':{'chid':1081, 'channel_provider':1},\
'Комедия ТВ':{'chid':292, 'channel_provider':1},\
'Конный мир':{'chid':1044, 'channel_provider':1},\
'Красная линия':{'chid':1054, 'channel_provider':1},\
'КРТ':{'chid':149, 'channel_provider':1},\
'КРТ (на укр.)':{'chid':368, 'channel_provider':1},\
'Кто есть кто':{'chid':399, 'channel_provider':1},\
'Кубань 24 Орбита':{'chid':782, 'channel_provider':1},\
'Культура':{'chid':15, 'channel_provider':1},\
'Культура (+2)':{'chid':552, 'channel_provider':1},\
'Культура (+4)':{'chid':553, 'channel_provider':1},\
'Культура (+7)':{'chid':555, 'channel_provider':1},\
'Культура (Украина)':{'chid':285, 'channel_provider':1},\
'Культура (Украина) (на укр.)':{'chid':494, 'channel_provider':1},\
'Кухня ТВ':{'chid':383, 'channel_provider':1},\
'КХЛ HD':{'chid':806, 'channel_provider':1},\
'КХЛ ТВ':{'chid':604, 'channel_provider':1},\
'ЛДПР ТВ':{'chid':1039, 'channel_provider':1},\
'Лунапарк':{'chid':1041, 'channel_provider':1},\
'Львів-ТБ (на укр.)':{'chid':920, 'channel_provider':1},\
'Любимое кино':{'chid':526, 'channel_provider':1},\
'Ля-минор':{'chid':297, 'channel_provider':1},\
'М1':{'chid':94, 'channel_provider':1},\
'М1 (на укр.)':{'chid':366, 'channel_provider':1},\
'М2':{'chid':445, 'channel_provider':1},\
'М2 (на укр.)':{'chid':474, 'channel_provider':1},\
'МінскТВ':{'chid':1025, 'channel_provider':1},\
'Майдан':{'chid':882, 'channel_provider':1},\
'Малятко TV':{'chid':606, 'channel_provider':1},\
'Малятко TV (на укр.)':{'chid':629, 'channel_provider':1},\
'Мама':{'chid':394, 'channel_provider':1},\
'Марс ТВ':{'chid':928, 'channel_provider':1},\
'Матч ТВ':{'chid':1077, 'channel_provider':1},\
'Мега':{'chid':234, 'channel_provider':1},\
'Мега (на укр.)':{'chid':362, 'channel_provider':1},\
'Мир':{'chid':176, 'channel_provider':1},\
'Мир (+2)':{'chid':985, 'channel_provider':1},\
'Мир (+3)':{'chid':529, 'channel_provider':1},\
'Мир (+7)':{'chid':986, 'channel_provider':1},\
'Мир 24':{'chid':838, 'channel_provider':1},\
'Мир HD':{'chid':965, 'channel_provider':1},\
'Мир сериала':{'chid':637, 'channel_provider':1},\
'Мир увлечений':{'chid':1022, 'channel_provider':1},\
'Многосерийное ТВ':{'chid':278, 'channel_provider':1},\
'Москва-24':{'chid':123, 'channel_provider':1},\
'Моя планета':{'chid':639, 'channel_provider':1},\
'МТВ':{'chid':710, 'channel_provider':1},\
'Мужское кино':{'chid':1060, 'channel_provider':1},\
'Мужской':{'chid':648, 'channel_provider':1},\
'Муз-ТВ':{'chid':808, 'channel_provider':1},\
'Музыка Первого':{'chid':439, 'channel_provider':1},\
'Мульт':{'chid':962, 'channel_provider':1},\
'Мультимания':{'chid':286, 'channel_provider':1},\
'Надежда':{'chid':1072, 'channel_provider':1},\
'Надия':{'chid':871, 'channel_provider':1},\
'Наука 2.0':{'chid':712, 'channel_provider':1},\
'Наше HD':{'chid':948, 'channel_provider':1},\
'Наше кино':{'chid':29, 'channel_provider':1},\
'Наше кино (НТВ+)':{'chid':312, 'channel_provider':1},\
'Наше новое кино':{'chid':260, 'channel_provider':1},\
'НЛО TV':{'chid':843, 'channel_provider':1},\
'НЛО TV (на укр.)':{'chid':846, 'channel_provider':1},\
'Новый канал':{'chid':7, 'channel_provider':1},\
'Новый канал (на укр.)':{'chid':360, 'channel_provider':1},\
'Ностальгия':{'chid':216, 'channel_provider':1},\
'Ночной клуб':{'chid':455, 'channel_provider':1},\
'Ночной клуб (+3)':{'chid':576, 'channel_provider':1},\
'НСТ':{'chid':329, 'channel_provider':1},\
'НТА':{'chid':736, 'channel_provider':1},\
'НТА (на укр.)':{'chid':669, 'channel_provider':1},\
'НТВ':{'chid':10, 'channel_provider':1},\
'НТВ (+2)':{'chid':545, 'channel_provider':1},\
'НТВ (+3)':{'chid':509, 'channel_provider':1},\
'НТВ (+4)':{'chid':546, 'channel_provider':1},\
'НТВ (+7)':{'chid':547, 'channel_provider':1},\
'НТВ+ 3D by Panasonic':{'chid':702, 'channel_provider':1},\
'НТВ+ Баскетбол':{'chid':277, 'channel_provider':1},\
'НТВ+ Киноклуб':{'chid':30, 'channel_provider':1},\
'НТВ+ Кинохит':{'chid':213, 'channel_provider':1},\
'НТВ+ Наш футбол':{'chid':284, 'channel_provider':1},\
'НТВ+ Наш футбол HD':{'chid':889, 'channel_provider':1},\
'НТВ+ Премьера':{'chid':34, 'channel_provider':1},\
'НТВ+ Спорт':{'chid':32, 'channel_provider':1},\
'НТВ+ Теннис':{'chid':276, 'channel_provider':1},\
'НТВ+ Футбол 1':{'chid':33, 'channel_provider':1},\
'НТВ+ Футбол 1 HD':{'chid':747, 'channel_provider':1},\
'НТВ+ Футбол 2':{'chid':707, 'channel_provider':1},\
'НТВ+ Футбол 2 HD':{'chid':753, 'channel_provider':1},\
'НТВ+ Футбол 3':{'chid':910, 'channel_provider':1},\
'НТВ+ Футбол 3 HD':{'chid':917, 'channel_provider':1},\
'НТВ-Беларусь':{'chid':699, 'channel_provider':1},\
'НТВ-Мир':{'chid':82, 'channel_provider':1},\
'НТН':{'chid':212, 'channel_provider':1},\
'НТН (на укр.)':{'chid':367, 'channel_provider':1},\
'НТС (Севастополь)':{'chid':884, 'channel_provider':1},\
'О2ТВ':{'chid':257, 'channel_provider':1},\
'ОНТ':{'chid':111, 'channel_provider':1},\
'Оренбуржье':{'chid':989, 'channel_provider':1},\
'ОРТ-Планета (Оренбург)':{'chid':983, 'channel_provider':1},\
'Оружие':{'chid':708, 'channel_provider':1},\
'Остросюжетное HD':{'chid':951, 'channel_provider':1},\
'ОТВ (Екатеринбург)':{'chid':655, 'channel_provider':1},\
'ОТВ (Одинцово)':{'chid':913, 'channel_provider':1},\
'ОТВ Приморье':{'chid':848, 'channel_provider':1},\
'ОТВ Челябинск':{'chid':866, 'channel_provider':1},\
'ОТР':{'chid':880, 'channel_provider':1},\
'ОТС':{'chid':899, 'channel_provider':1},\
'Охота и рыбалка':{'chid':243, 'channel_provider':1},\
'Охотник и рыболов':{'chid':628, 'channel_provider':1},\
'Охотник и рыболов HD':{'chid':842, 'channel_provider':1},\
'Парк развлечений':{'chid':351, 'channel_provider':1},\
'Первый автомобильный':{'chid':435, 'channel_provider':1},\
'Первый автомобильный (на укр.)':{'chid':436, 'channel_provider':1},\
'Первый городской (Казань)':{'chid':966, 'channel_provider':1},\
'Первый деловой':{'chid':299, 'channel_provider':1},\
'Первый деловой (на укр.)':{'chid':378, 'channel_provider':1},\
'Первый Интернет Канал (#ПИКТВ)':{'chid':1024, 'channel_provider':1},\
'Первый канал (+2)':{'chid':541, 'channel_provider':1},\
'Первый канал (+4)':{'chid':542, 'channel_provider':1},\
'Первый канал (+6)':{'chid':543, 'channel_provider':1},\
'Первый канал (+8)':{'chid':544, 'channel_provider':1},\
'Первый канал (Россия)':{'chid':8, 'channel_provider':1},\
'Первый канал (Россия) Европа':{'chid':21, 'channel_provider':1},\
'Первый канал (Россия) СНГ':{'chid':314, 'channel_provider':1},\
'Первый канал HD':{'chid':839, 'channel_provider':1},\
'Первый канал HD (+4)':{'chid':926, 'channel_provider':1},\
'Первый крымский':{'chid':886, 'channel_provider':1},\
'Первый образовательный':{'chid':215, 'channel_provider':1},\
'Первый Севастопольский':{'chid':876, 'channel_provider':1},\
'Перец International':{'chid':941, 'channel_provider':1},\
'Пиксель':{'chid':27, 'channel_provider':1},\
'Пиксель (на укр.)':{'chid':373, 'channel_provider':1},\
'ПлюсПлюс':{'chid':24, 'channel_provider':1},\
'ПлюсПлюс (на укр.)':{'chid':376, 'channel_provider':1},\
'Право TV':{'chid':861, 'channel_provider':1},\
'Право TV (на укр.)':{'chid':860, 'channel_provider':1},\
'Просвещение':{'chid':774, 'channel_provider':1},\
'Психология21':{'chid':602, 'channel_provider':1},\
'Пятница':{'chid':48, 'channel_provider':1},\
'Пятница (+2)':{'chid':625, 'channel_provider':1},\
'Пятница (+4)':{'chid':569, 'channel_provider':1},\
'Пятница (+7)':{'chid':626, 'channel_provider':1},\
'Рада':{'chid':823, 'channel_provider':1},\
'Рада (на укр.)':{'chid':824, 'channel_provider':1},\
'Радость моя':{'chid':693, 'channel_provider':1},\
'РазТВ':{'chid':581, 'channel_provider':1},\
'РБК ТВ':{'chid':146, 'channel_provider':1},\
'РГВК Дагестан':{'chid':858, 'channel_provider':1},\
'РЕН ТВ':{'chid':13, 'channel_provider':1},\
'РЕН ТВ (+2)':{'chid':570, 'channel_provider':1},\
'РЕН ТВ (+4)':{'chid':571, 'channel_provider':1},\
'РЕН ТВ (+7)':{'chid':572, 'channel_provider':1},\
'Ретро':{'chid':244, 'channel_provider':1},\
'РЖД ТВ':{'chid':713, 'channel_provider':1},\
'Россия 1':{'chid':9, 'channel_provider':1},\
'Россия 1 (+2)':{'chid':548, 'channel_provider':1},\
'Россия 1 (+4)':{'chid':549, 'channel_provider':1},\
'Россия 1 (+6)':{'chid':550, 'channel_provider':1},\
'Россия 1 (+8)':{'chid':551, 'channel_provider':1},\
'Россия 24':{'chid':328, 'channel_provider':1},\
'Россия HD':{'chid':841, 'channel_provider':1},\
'РТР-Беларусь':{'chid':700, 'channel_provider':1},\
'РТР-Планета Азия':{'chid':885, 'channel_provider':1},\
'РТР-Планета Америка':{'chid':831, 'channel_provider':1},\
'РТР-Планета Европа':{'chid':98, 'channel_provider':1},\
'РТР-Планета Украина':{'chid':355, 'channel_provider':1},\
'Русская ночь':{'chid':296, 'channel_provider':1},\
'Русский бестселлер':{'chid':812, 'channel_provider':1},\
'Русский бестселлер (международный)':{'chid':1051, 'channel_provider':1},\
'Русский детектив':{'chid':942, 'channel_provider':1},\
'Русский иллюзион':{'chid':177, 'channel_provider':1},\
'Русский роман':{'chid':757, 'channel_provider':1},\
'Русский Север':{'chid':859, 'channel_provider':1},\
'Русский экстрим':{'chid':288, 'channel_provider':1},\
'Рыжий':{'chid':1047, 'channel_provider':1},\
'Сарафан':{'chid':433, 'channel_provider':1},\
'Семейное HD':{'chid':949, 'channel_provider':1},\
'Сигма':{'chid':709, 'channel_provider':1},\
'Совершенно секретно':{'chid':350, 'channel_provider':1},\
'Сонце':{'chid':874, 'channel_provider':1},\
'Сонце (на укр.)':{'chid':875, 'channel_provider':1},\
'Соціальна країна (на укр.)':{'chid':1018, 'channel_provider':1},\
'Союз (Екатеринбург)':{'chid':235, 'channel_provider':1},\
'Спас':{'chid':238, 'channel_provider':1},\
'Спорт':{'chid':711, 'channel_provider':1},\
'Спорт 1':{'chid':270, 'channel_provider':1},\
'Спорт 1 (на укр.)':{'chid':426, 'channel_provider':1},\
'Спорт 1 (Россия)':{'chid':667, 'channel_provider':1},\
'Спорт 1 HD':{'chid':724, 'channel_provider':1},\
'Спорт 2':{'chid':309, 'channel_provider':1},\
'Спорт 2 (на укр.)':{'chid':427, 'channel_provider':1},\
'Спорт Плюс':{'chid':595, 'channel_provider':1},\
'СТБ':{'chid':6, 'channel_provider':1},\
'СТБ (на укр.)':{'chid':359, 'channel_provider':1},\
'СТВ':{'chid':115, 'channel_provider':1},\
'СТВ Башкортостан':{'chid':956, 'channel_provider':1},\
'Страна':{'chid':627, 'channel_provider':1},\
'Страна советов':{'chid':275, 'channel_provider':1},\
'Страшное HD':{'chid':1031, 'channel_provider':1},\
'СТС':{'chid':17, 'channel_provider':1},\
'СТС (+2)':{'chid':538, 'channel_provider':1},\
'СТС (+4)':{'chid':539, 'channel_provider':1},\
'СТС (+7)':{'chid':508, 'channel_provider':1},\
'СТС International':{'chid':758, 'channel_provider':1},\
'СТС International Балтия':{'chid':768, 'channel_provider':1},\
'СТС Love':{'chid':952, 'channel_provider':1},\
'СТС Love (+7)':{'chid':1019, 'channel_provider':1},\
'Тамыр':{'chid':959, 'channel_provider':1},\
'ТБН Россия':{'chid':694, 'channel_provider':1},\
'ТВ XXI':{'chid':68, 'channel_provider':1},\
'ТВ Клуб':{'chid':607, 'channel_provider':1},\
'ТВ Центр':{'chid':11, 'channel_provider':1},\
'ТВ Центр (+2)':{'chid':559, 'channel_provider':1},\
'ТВ Центр (+4)':{'chid':560, 'channel_provider':1},\
'ТВ Центр (+7)':{'chid':624, 'channel_provider':1},\
'ТВ Центр Международный (TVCI)':{'chid':237, 'channel_provider':1},\
'ТВ-3 Россия':{'chid':63, 'channel_provider':1},\
'ТВ-3 Россия (+2)':{'chid':564, 'channel_provider':1},\
'ТВ-3 Россия (+3)':{'chid':845, 'channel_provider':1},\
'ТВ-3 Россия (+7)':{'chid':565, 'channel_provider':1},\
'ТВ-7 (Мариуполь)':{'chid':714, 'channel_provider':1},\
'ТВ3 Беларусь':{'chid':847, 'channel_provider':1},\
'твFM':{'chid':892, 'channel_provider':1},\
'ТВОЙ':{'chid':1027, 'channel_provider':1},\
'ТДК':{'chid':142, 'channel_provider':1},\
'Театр':{'chid':829, 'channel_provider':1},\
'Теледом':{'chid':853, 'channel_provider':1},\
'Телеканал 100':{'chid':887, 'channel_provider':1},\
'Телеканал 100 (на укр.)':{'chid':888, 'channel_provider':1},\
'Телекафе':{'chid':415, 'channel_provider':1},\
'Телеклуб':{'chid':141, 'channel_provider':1},\
'Телепутешествия':{'chid':450, 'channel_provider':1},\
'ТЕТ':{'chid':18, 'channel_provider':1},\
'ТЕТ (на укр.)':{'chid':364, 'channel_provider':1},\
'Техно 24':{'chid':381, 'channel_provider':1},\
'Тиса-1':{'chid':315, 'channel_provider':1},\
'Тиса-1 (на укр.)':{'chid':467, 'channel_provider':1},\
'ТНВ-Планета':{'chid':781, 'channel_provider':1},\
'ТНВ-Татарстан':{'chid':145, 'channel_provider':1},\
'ТНТ':{'chid':14, 'channel_provider':1},\
'ТНТ (+2)':{'chid':556, 'channel_provider':1},\
'ТНТ (+3)':{'chid':767, 'channel_provider':1},\
'ТНТ (+4)':{'chid':557, 'channel_provider':1},\
'ТНТ (+7)':{'chid':558, 'channel_provider':1},\
'ТНТ Bravo':{'chid':737, 'channel_provider':1},\
'ТНТ-Comedy':{'chid':476, 'channel_provider':1},\
'ТНТ-International (Беларусь)':{'chid':1052, 'channel_provider':1},\
'ТНТ-International (Европа)':{'chid':991, 'channel_provider':1},\
'ТНТ-International (СНГ)':{'chid':981, 'channel_provider':1},\
'Тонис':{'chid':25, 'channel_provider':1},\
'Тонис (на укр.)':{'chid':365, 'channel_provider':1},\
'Тонис HD':{'chid':803, 'channel_provider':1},\
'Тонис HD (на укр.)':{'chid':822, 'channel_provider':1},\
'Тонус ТВ':{'chid':495, 'channel_provider':1},\
'Точка ТВ':{'chid':1011, 'channel_provider':1},\
'ТРК "Буковина" (на укр.)':{'chid':633, 'channel_provider':1},\
'ТРК "Регион"':{'chid':919, 'channel_provider':1},\
'ТРК "Эра"':{'chid':78, 'channel_provider':1},\
'ТРК "Эра" (на укр.)':{'chid':349, 'channel_provider':1},\
'ТРО':{'chid':491, 'channel_provider':1},\
'Трофей':{'chid':945, 'channel_provider':1},\
'ТТС':{'chid':717, 'channel_provider':1},\
'Туган Тел':{'chid':987, 'channel_provider':1},\
'УБР':{'chid':609, 'channel_provider':1},\
'УБР (на укр.)':{'chid':610, 'channel_provider':1},\
'Украина':{'chid':108, 'channel_provider':1},\
'Украина (на укр.)':{'chid':361, 'channel_provider':1},\
'Улыбка ребенка':{'chid':531, 'channel_provider':1},\
'УНИАН ТВ':{'chid':740, 'channel_provider':1},\
'УНИАН ТВ (на укр.)':{'chid':786, 'channel_provider':1},\
'Усадьба':{'chid':305, 'channel_provider':1},\
'Успех':{'chid':649, 'channel_provider':1},\
'Феникс+Кино':{'chid':390, 'channel_provider':1},\
'Футбол (Россия)':{'chid':440, 'channel_provider':1},\
'Футбол 1':{'chid':507, 'channel_provider':1},\
'Футбол 1 (на укр.)':{'chid':638, 'channel_provider':1},\
'Футбол 1 HD':{'chid':963, 'channel_provider':1},\
'Футбол 1 HD (на укр.)':{'chid':964, 'channel_provider':1},\
'Футбол 2':{'chid':703, 'channel_provider':1},\
'Футбол 2 (на укр.)':{'chid':704, 'channel_provider':1},\
'Футбол 2 HD':{'chid':804, 'channel_provider':1},\
'Футбол 2 HD (на укр.)':{'chid':821, 'channel_provider':1},\
'Центральный канал':{'chid':317, 'channel_provider':1},\
'Центральный канал (на укр.)':{'chid':466, 'channel_provider':1},\
'Че':{'chid':56, 'channel_provider':1},\
'Че (+2)':{'chid':396, 'channel_provider':1},\
'Че (+4)':{'chid':857, 'channel_provider':1},\
'Че (+7)':{'chid':537, 'channel_provider':1},\
'ЧП.INFO':{'chid':446, 'channel_provider':1},\
'ЧП.INFO (на укр.)':{'chid':472, 'channel_provider':1},\
'Шансон ТВ':{'chid':719, 'channel_provider':1},\
'Эверест (на укр.)':{'chid':1010, 'channel_provider':1},\
'Эко-ТВ':{'chid':685, 'channel_provider':1},\
'Эко-ТВ (на укр.)':{'chid':686, 'channel_provider':1},\
'Ю':{'chid':49, 'channel_provider':1},\
'Ю (+2)':{'chid':722, 'channel_provider':1},\
'Ю (+7)':{'chid':723, 'channel_provider':1},\
'Югра':{'chid':128, 'channel_provider':1},\
'Южный Регион Дон':{'chid':867, 'channel_provider':1},\
'ЮМОР BOX':{'chid':410, 'channel_provider':1},\

}




    def __init__(self, api):
        Plugin.__init__(self, api)

    def isSeekable(self):
        return False

    def _getPlaylist(self, name):
        # map name to available channel id
        if(name in self.MAP):
            return self.MAP[name]
        for _name in self.MAP.keys():
            if(_name.lower()==name.lower()):
                return self.MAP[_name]
        return None
        
        
