# -*- coding: UTF-8 -*-
# Copyright 2013-2014 John Red.
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#   http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

import urllib2
import re
import urlparse
try:
    from Plugins.Extensions.Seasondream.plugins.Plugin import Plugin
except ImportError:
    try:
        from Plugins.Extensions.Seasondream.plugins.Plugin import Plugin
    except ImportError:
        from plugins.Plugin import Plugin


class IPTVGlaztv(Plugin):

    PROVIDER_ID=1003

    def __init__(self, api):
        Plugin.__init__(self, api)

    def isSeekable(self):
        return False

    def _getPlaylist(self, url):
        self.log("Loading playlist for "+url)
        content=self.read(url,options={"Referer":"http://glaz.tv"})
        for item in re.compile("src=\"(.*?)\"").findall(content):
            if item.startswith("http://www.glaz.tv/uppod-hls2.swf"):
                pl=self._getParameter(urlparse.urlparse(item).query,"file")
                try:
                    pl_content=self.read(url,options={"Referer":url})
                    if(pl_content is not None and len(pl_content)>0):
                        self.log("Found "+pl)
                        return pl
                except Exception,e:
                    self.log("Unable to load content for pl, skipping." +str(e))        
        self.log("Unable to found reasonable playlist")
        return None
    
    def _getStatusCode(self, url):
        try:
            connection = urllib2.urlopen(url)
            code= connection.getcode()
            connection.close()
            return code
        except Exception,e:
            self.log("Unable to retrieve http code "+str(e))
            return -1        
