# -*- coding: UTF-8 -*-
# Copyright 2013-2016 John Red.
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#   http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

class Text():
    def __init__(self):
        pass

    def _encode(self, text):
        try:
            return text.encode("utf-8")
        except Exception:
            return text
        
    def _available(self, key, movie):
        if(key in movie and movie[key] != None):
            try:
                val=movie[key].encode("utf-8")
            except:
                val=str(movie[key])
            if(len(val)>0):
                return True
        return False            
    
    def getMovieInfoShort(self, movie):
        if(movie is not None):
            info=""
            if(self._available("TITLE_ORIGINAL",movie)):
                info =info+self._encode(movie["TITLE_ORIGINAL"])+"\n"
            if(self._available("COUNTRY",movie) and self._available("YEAR_TEXT",movie)):
                info += self._encode(movie["COUNTRY"])+", "+self._encode(movie["YEAR_TEXT"])+" %s\n"%("Год")
            elif(self._available("COUNTRY",movie)):
                info += self._encode(movie["COUNTRY"])+"\n"
            elif(self._available("YEAR_TEXT",movie)):
                info += self._encode(movie["YEAR_TEXT"])+" %s\n"%("Год")
            if(self._available("GENRE",movie)):
                info =info+"%s: "%("Жанр")+self._encode(movie["GENRE"])+"\n"

            if(self._available("DIRECTOR",movie)):
                info =info+"%s: "%("Режиссёр")+self._encode(movie["DIRECTOR"])+"\n"
            if(self._available("ACTORS",movie)):
                info =info+"%s: "%("Актёры")+self._encode(movie["ACTORS"])+"\n"
            if(self._available("TRANSLATION",movie)):
                info =info+"%s: "%("Перевод")+self._encode(movie["TRANSLATION"])+"\n"
            if(self._available("QUALITY_TEXT",movie)):
                info =info+"%s: "%("Качество")+self._encode(movie["QUALITY_TEXT"])+"\n"
            return info
        else:
            return ""
        
    
    def getMovieInfoLong(self, movie):
        if(movie is not None):
            info=""
            if(self._available("TITLE_ORIGINAL",movie)):
                info =info+self._encode(movie["TITLE_ORIGINAL"])+"\n"

            if(self._available("COUNTRY",movie) and self._available("YEAR_TEXT",movie)):
                info += self._encode(movie["COUNTRY"])+", "+self._encode(movie["YEAR_TEXT"])+" %s\n"%("Год")
            elif(self._available("COUNTRY",movie)):
                info += self._encode(movie["COUNTRY"])+"\n"
            elif(self._available("YEAR_TEXT",movie)):
                info += self._encode(movie["YEAR_TEXT"])+" %s\n"%("Год")
            if(self._available("DIRECTOR",movie)):
                info =info+"%s: "%("Режиссёр")+self._encode(movie["DIRECTOR"])+"\n"
            if(self._available("ACTORS",movie)):
                info =info+"%s: "%("Актёры")+self._encode(movie["ACTORS"])+"\n"
            if(self._available("TRANSLATION",movie)):
                info =info+"%s: "%("Перевод")+self._encode(movie["TRANSLATION"])+"\n"
            if(self._available("QUALITY_TEXT",movie)):
                info =info+"%s: "%("Качество")+self._encode(movie["QUALITY_TEXT"])+"\n"
            if(self._available("SIZE",movie)):
                info =info+"%s: "%("Размер")+str(movie["SIZE"])+"\n"
            return info
        return ""
    
    def getRating(self, movie):
        rating=None
        if(movie):
            if(self._available("RATING_IMDB",movie)):
                rating=float(movie["RATING_IMDB"])
            elif (self._available("RATING_KINOPOISK",movie)):
                rating=float(movie["RATING_KINOPOISK"])
        return rating    
text=Text()