# -*- coding: UTF-8 -*-
# Copyright 2013-2016 John Red.
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#   http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

import xbmc  # @UnresolvedImport
import xbmcaddon   # @UnresolvedImport
import xbmcplugin  # @UnresolvedImport
import time
import sys

from resources.lib.panels.LatestMoviesPanel import LatestMoviesPanel
from resources.lib.context.Context import Context

def getPythonVersion():
    try:
        import platform
        return str(platform.python_version())
    except:
        pass
    return "N/A"

_start=time.time()
xbmc.log("[Seasondream]: Starts...")
xbmc.log("[Seasondream]: Python %s"%getPythonVersion())
xbmc.log("[Seasondream]: Args %s"%str(sys.argv))
xbmc.log("[Seasondream]: Initializing context...")
_context=Context()
try:
    #xbmcplugin.endOfDirectory(_context.getHandle(), succeeded=True)
    _init_result=_context.init()
    if(_init_result==True):
        xbmc.executebuiltin( "Dialog.Close(busydialog)" )                
        _context.showSplashScreen()
        xbmc.log("[Seasondream]: Starting main panel...")
        lp = LatestMoviesPanel(context=_context)
        _duration=time.time()-_start
        if(_duration<3*1000):
            xbmc.sleep((int)(3*1000-_duration))
        xbmc.log("[Seasondream]: Call doModal")
        lp.doModal()
        xbmc.log("[Seasondream]: doModal terminated")
        del lp
    else:
        xbmc.log("[Seasondream]: Failed")
except:
    import traceback
    traceback.print_exc()

finally:
    _context.shutDown()
    del _context
xbmc.log("[Seasondream]: Bye bye")
    